var CaseStatusController = (function (CaseStatusController)
{
    var self = CaseStatusController;

    self.synchronization = function () {
        if (connection) {
            ClientAPI.getMetadata("Project", "actionMatrix", function (err, caseTransition) {
                if (!err) {
                    var caseTransitionMap = {};

                    for (var i = 0, max = caseTransition.length; i < max; i++) {
                        caseTransitionMap[caseTransition[i].name] = caseTransition[i].transition;
                    }
                    ClientAPI.getMetadata("Project", "statusMatrix", function (err, caseStatus) {
                        if (!err) {
                            var caseStatusMap = {};
                            for (var i = 0, max = caseStatus.length; i < max; i++) {
                                caseStatusMap[caseStatus[i]['status']] = [];
                                for (var j = 0, len = caseStatus[i]['availableActions'].length; j < len; j++) {
                                    caseStatusMap[caseStatus[i]['status']].push({
                                        'name': caseStatus[i]['availableActions'][j],
                                        'transition': caseTransitionMap[caseStatus[i]['availableActions'][j]]
                                    });
                                }
                            }
                            window.localStorage.setItem('caseStatusAndTransition', JSON.stringify(caseStatusMap));
                        }
                    });
                }
            });
        }
    };

    self.getCaseStatus = function () {
        return JSON.parse(window.localStorage.getItem('caseStatusAndTransition'));
    };

    return self;
}(CaseStatusController || {}));