var GroupController = (function (GroupController) {
    var self = GroupController;
    var maxItems = 1000;

    self.synchronization = function (callback) {

    };

    self.encode = function (items, callback) {
        var result = [];
        if (items != null) {
            if (items.length != null && items.length > 0) {
                for (var i = 0, max = items.length; i < max; i++) {
                    var resultItem = self.encodeItem(items[i]);
                    if (resultItem != null) {
                        result.push(resultItem);
                    }
                }
                if (callback != null && typeof callback == "function") {
                    callback(result);
                }
            } else {
                var resultItem = self.encodeItem(items);
                if (resultItem != null) {
                    result.push(resultItem);
                }
                if (callback != null && typeof callback == "function") {
                    callback(result);
                }
            }
        }
    };

    self.encodeItem = function (item) {
        if (item["_id"] != null) {
            var result = {};
            result['id'] = getTextTypeObject(item['_id'], 'text');
            result['name'] = item.identityName;
            result['description'] = item.identityDescription;
            return result;
        } else {
            return undefined;
        }
    };

    self.findGroups = function(callback){
      // if (connection) {
      //     ClientAPI.getAppUsersAndGroups(null, 0, 1000, function (err, data) {
      //         var encodeGroups = [];
      //         if (!err && data && data.length > 0) {
      //             var groups = data.filter(function (item) {
      //                 return item.identityType == "Group" &&
      //                         item['_id'] != 'ContentAdmins@connectdemo' &&
      //                         item['_id'] != 'Everyone@connectdemo';
      //             });
      //             for (var i = 0; i < groups.length; i++) {
      //                 encodeGroups.push(GroupController.encodeItem(groups[i]));
      //             }
      //         }
      //         if (callback != null && typeof callback == "function") {
      //             callback(encodeGroups);
      //         }
      //     });
      // } else {
          var query = "SELECT * FROM groups WHERE name != ? AND name != ?";
          db.selectByQuery(query, ["ContentAdmins", "Everyone"], "groups", function (groups) {
              if (callback != null && typeof callback == "function") {
                  callback(groups);
              }
          });
      // }
  };

    return self;
}(GroupController || {}));
