var VisibleDomainController = (function(VisibleDomainController)
{
    var self = VisibleDomainController;

    self.isDomainCTSales = function() {
      var domain = window.localStorage.getItem('userDomain');
      if (domain) {
        return domain.toLowerCase() == "ctsales";
      } else {
        return false;
      }
      return false;
    };

    self.hide = function(id, type) {
        if (self.isDomainCTSales()) {
          if (id == "view-contact") {
            self.contact(id, type);
          } else if (id == "view-deal") {
            self.deal(id);
          } else if (id == "contacts" || id == "deals") {
            self.itemList(id);
          } else if (id == "dashboard") {
            self.feed(id);
          }
        }
    };

    self.feed = function(id) {
      var $page = $("#" + id);
      $('#open-contact', $page).hide();
      $('#open-deal', $page).hide();
    };

    self.contact = function(id, type) {
        var $page = $("#" + id);
        $('.float-add-action', $page).hide();
        $('#add-contact', $page).hide();
        $('#edit-contact-action', $page).hide();
        if (type == "person") {
          $('#deals-link', $page).hide();
          $('#cases-link', $page).hide();
        } else {
          $('#deals-link', $page).show();
          $('#cases-link', $page).show();
        }
    };

    self.deal = function(id) {
      var $page = $("#" + id);
      $('.float-add-action', $page).hide();
      $('#edit-deal-action', $page).hide();
      $('#update-deal-status', $page).hide();
      $('#update-link', $page).hide();
    };

    self.itemList = function(id){
        var $page = $("#" + id);
        $('.float-add-action', $page).hide();
    }

    return self;
} (VisibleDomainController || {}));
