var SipPlugin = function () {
};

SipPlugin.prototype.initialize = function (arg, successCallback, failureCallback)
{
    console.log("initialize in plugin");
    console.log(arg);
    return cordova.exec(successCallback, failureCallback, "SipPlugin", "initialize", arg);
};

SipPlugin.prototype.sipStatus = function (successCallback, failureCallback)
{
    return cordova.exec(successCallback, failureCallback, "SipPlugin", "sipStatus", []);
};

SipPlugin.prototype.call = function (args, successCallback, failureCallback)
{
    return cordova.exec(successCallback, failureCallback, "SipPlugin", "call", args);
};

SipPlugin.prototype.showIncomingCallGui = function (args, successCallback, failureCallback)
{
    return cordova.exec(successCallback, failureCallback, "SipPlugin", "showIncomingCallGui", args);
};

SipPlugin.prototype.closeConnection = function (successCallback, failureCallback)
{
    return cordova.exec(successCallback, failureCallback, "SipPlugin", "closeConnection", []);
};

if (!window.plugins) {
    window.plugins = {};
}

if (!window.plugins.SipPlugin) {
    window.plugins.SipPlugin = new SipPlugin();
}