var Advert = (function (Advert)
{
    var self = Advert;
    self.intervalId = null;
    var arrayAdverts = [];
    var advertTime = 10 * 1000;
    var currentAdvert = 0;

    self.bindElementControls = function () {
        $(document).off('click', '#ad-image');
        $(document).on('click', '#ad-image', self.showAdInAppBrowser);
    };

    self.showAdInAppBrowser = function () {
        var href = $(this).attr("url");
        window.open(href, '_blank', 'location=yes');
    };

    self.loadAdvert = function (id) {
        self.drawAdvert(id);
        if (self.intervalId != null) {
            window.clearInterval(self.intervalId);
        }
        self.intervalId = setInterval(function () {
            self.drawAdvert(id);
        }, advertTime);
    };

    self.drawAdvert = function (id) {
        $(id).empty();
        var content = '';
        if (arrayAdverts.length > 0) {
            currentAdvert = ((++currentAdvert) % arrayAdverts.length);
            content += "<img id='ad-image' onerror='imgError(this);' imageId='" + arrayAdverts[currentAdvert].Id + "' src='" + arrayAdverts[currentAdvert].Img + "' url='" + arrayAdverts[currentAdvert].Path + "'>";
            $(id).append(content);
        }
    };

    self.getAdverts = function (containerId) {
        var requestObject = {
//				"userid" : window.localStorage.getItem('userId'), 
            "userid": "979452",
            "domain": "bhtcontactmanager"
        };
        hclient.getAdsFunction(requestObject, 'GetAds', function (data) {
            $(data).each(function (index, value) {
                arrayAdverts.push({
                    Id: value.id,
                    Img: value.img,
                    Path: value.url
                });
            });
            self.loadAdvert(containerId);
        });
    };

    return self;
}(Advert || {}));