var navigationArray = [];
var pageObjectArray = [];
var navigationParams = [];
var overrideBackButton = null;

function gotoPage(pageForwardObject, pageBackObject, reload) {
    overrideBackButton = null;
    var page = null;

    //define page back object
    if (pageBackObject) {
        pageObjectArray.push({
            forward: pageForwardObject,
            back: pageBackObject
        });
    }

    // jquery mobile ogranicenje jer pageinit ostaje isti (contact na contact)
    if (pageObjectArray.length > 0 && (pageForwardObject.url == pageObjectArray[pageObjectArray.length - 1].back.url)) {
        pageObjectArray.pop();
    }

    //define forwarding
    pageObject = pageForwardObject.param;

    //calling init of back page
    if (reload && pageForwardObject.controller) {
        var ctrl = pageForwardObject.controller;
        ctrl.init();
    }

    switch (pageForwardObject.url) {
        case "editComment":
            page = rootPath + "/views/note/editComment.html";
            break;
        case "contacts":
            page = rootPath + "/views/contact/contacts.html";
            break;
        case "editContact":
            page = rootPath + "/views/contact/editContact.html";
            break;
        case "viewContact":
            page = rootPath + "/views/contact/viewContact.html";
            break;
        case "dashboard":
            page = rootPath + "/views/dashboard/dashboard.html";
            break;
        case "deals":
            page = rootPath + "/views/deal/deals.html";
            break;
        case "editDeal":
            page = rootPath + "/views/deal/editDeal.html";
            break;
        case "viewDeal":
            page = rootPath + "/views/deal/viewDeal.html";
            break;
        case "updateDealLink":
            page = rootPath + "/views/deal/updateDealLink.html";
            break;
        case "viewEmail":
            page = rootPath + "/views/email/viewEmail.html";
            break;
        case "login":
            page = rootPath + "/views/login/login.html";
            break;
        case "editNote":
            page = rootPath + "/views/note/editNote.html";
            break;
        case "viewNote":
            page = rootPath + "/views/note/viewNote.html";
            break;
        case "editNote":
            page = rootPath + "/views/note/editNote.html";
            break;
        case "updateNoteLink":
            page = rootPath + "/views/note/updateNoteLink.html";
            break;
        case "tasks":
            page = rootPath + "/views/task/tasks.html";
            break;
        case "editTask":
            page = rootPath + "/views/task/editTask.html";
            break;
        case "viewTask":
            page = rootPath + "/views/task/viewTask.html";
            break;
        case "phoneContacts":
            page = rootPath + "/views/contact/phoneContacts.html";
            break;
        case "previewContact":
            page = rootPath + "/views/contact/previewContact.html";
            break;
        case "callLog":
            page = rootPath + "/views/callLog/callLog.html";
            break;
        case "settings":
            page = rootPath + "/views/settings/settings.html";
            break;
        case "offlineData":
            page = rootPath + "/views/storage/offlineData.html";
            break;
        case "sipPhone":
            page = rootPath + "/views/profil/sipPhone.html";
            break;
        case "myGroup":
            page = rootPath + "/views/profil/myGroup.html";
            break;
        case "editGroup":
            page = rootPath + "/views/profil/editGroup.html";
            break;
        case "sipMessages":
            page = rootPath + "/views/sip/sipMessages.html";
            break;
        case "assignedTasks":
            page = rootPath + "/views/task/assignedTasks.html";
            break;
        case "about":
            page = rootPath + "/views/settings/about.html";
            break;
        case "sipSettings":
            page = rootPath + "/views/sip/sipSettings.html";
            break;
        case "sip":
            page = rootPath + "/views/sip/sip.html";
            break;
        case "appSettings":
            page = rootPath + "/views/settings/appSettings.html";
            break;
        case "notificationSettings":
            page = rootPath + "/views/settings/notificationSettings.html";
            break;
        case "case":
            page = rootPath + "/views/case/case.html";
            break;
        case "viewCase":
            page = rootPath + "/views/case/viewCase.html";
            break;
        case "editCase":
            page = rootPath + "/views/case/editCase.html";
            break;
        case "updateCaseLink":
            page = rootPath + "/views/case/updateCaseLink.html";
            break;
        case "fileSystem":
            page = rootPath + "/views/fileSystem/fileSystem.html";
            break;
        case "changePassword":
            page = rootPath + "/views/profil/changePassword.html";
            break;
        case "domain":
            page = rootPath + "/views/profil/domain.html";
            break;
        case "editDomain":
            page = rootPath + "/views/profil/editDomain.html";
            break;
        case "editProfil":
            page = rootPath + "/views/profil/editProfil.html";
            break;
        case "map":
            page = rootPath + "/views/profil/map.html";
            break;
        case "calendar":
            page = rootPath + "/views/profil/calendar.html";
            break;
        case "editCalendar":
            page = rootPath + "/views/profil/editCalendar.html";
            break;
        case "editTemplate":
            page = rootPath + "/views/profil/editTemplate.html";
            break;
        case "changeStatus":
            page = rootPath + "/views/changeStatus/changeStatus.html";
            break;
        case "changeProgress":
            page = rootPath + "/views/changeProgress/changeProgress.html";
            break;
        case "changePriority":
            page = rootPath + "/views/changePriority/changePriority.html";
            break;
        case "changeOwner":
            page = rootPath + "/views/changeOwner/changeOwner.html";
            break;
        case "changeDueDate":
            page = rootPath + "/views/changeDueDate/changeDueDate.html";
            break;
        case "changePermission":
            page = rootPath + "/views/changePermission/changePermission.html";
            break;
        case "invite":
            page = rootPath + "/views/profil/invite.html";
            break;
        case "resetPassword":
            page = rootPath + "/views/profil/resetPassword.html";
            break;
        case "viewPhoneContact":
            page = rootPath + "/views/contact/viewPhoneContact.html";
            break;
        case "draft":
            page = rootPath + "/views/storage/draft.html";
            break;
        case "effort":
            page = rootPath + "/views/effort/effort.html";
            break;
        case "overview":
            page = rootPath + "/views/overview/overview.html";
            break;
        case "overviewEffort":
            page = rootPath + "/views/overview/overview-effort.html";
            break;
        default:
            break;
    }

    if (page != null) {
        if (pageForwardObject.isModal) {
            openFullScreenModal(page, pageForwardObject.controller);
        } else {
            openPage(page);
        }
    }
}

function openPage(page) {
    $.mobile.changePage(page, {allowSamePageTransition: false, transition: "none"});
}

function openFullScreenModal(page, controller) {
    var modal = '<div id="fullScreenModal" class="modal fade in" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="display: block;">';
    $.get(page, function (data) {
        modal += data;
        modal += '</div>';
        $('body').append(modal);
        $('body').css('overflow', 'hidden');
        $('html').addClass('modal-open');
        $("#fullScreenModal").i18n();
        if (controller) {
          controller.init();
          controller.bindElementControls();
        }
    });
}

function goBack() {
    // get object from pageObject
    var pageObject = pageObjectArray.pop();
    if (!pageObject) {
        gotoPage({url: "dashboard", param: null}, null);
    } else {
        $('#fullScreenModal').remove();
        $('body').css('overflow', 'auto');
        $('html').removeClass('modal-open');
        var pageForwardController = pageObject.forward.controller;
        if (pageForwardController) {
            pageForwardController.unbindElementControls();
        }

        gotoPage(pageObject.back, null, true);
    }
}

function addParamsInArray(prams) {
    navigationParams.push(prams);
}
