$(document).on('pageinit', '#about', function () {
    AboutFunctions.init();
});

$(document).on('pageshow', '#about', function () {
    AboutFunctions.bindElementControls();
});

$(document).on('pagehide', '#about', function () {
    AboutFunctions.unbindElementControls();
});


var AboutFunctions = (function (AboutFunctions)
{
    var self = AboutFunctions;

    self.init = function () {
        if (cordova.getAppVersion) {
            cordova.getAppVersion.getVersionNumber(function (version) {
                $("#version").text(version);
            });
        }
        $("#aplication-info #copyright").html("&#169; 2013-2014 COMTRADE");
    };

    self.bindElementControls = function () {
        $(document).on('click', '#back-link', goBack);
    };

    self.unbindElementControls = function () {
        $(document).off('click', '#back-link');
    };

    return self;
}(AboutFunctions || {}));

