var ChangeDueDateController = (function (ChangeDueDateController)
{
    var self = ChangeDueDateController;

    self.updateDueDate = function(id, dueDate, callback) {
        self.update(id, dueDate, "dueDate",callback);
    };

    self.updateCloseDate = function(id, dueDate, callback) {
        self.update(id, dueDate, "closeDate",callback);
    };

    self.update = function(id, dueDate, type, callback) {
        if (connection) {
          debugger;
          ClientAPI.find({_id:new ObjectId(id)},[],function(err, data){
            if (!err) {
              var controller = self.getController(data[0]);
              if (dueDate != null) {
                  data[0][type] = dueDate;
              }
              ClientAPI.updateObject(data[0], function (err, data) {
                  if (!err) {
                    if (controller) {
                      controller.syncPartData(null, [data.object], function (data) {
                          if (callback != null && typeof callback == 'function') {
                              callback(data);
                          }
                      });
                    } else {
                      if (callback != null && typeof callback == 'function') {
                          callback(data[0]);
                      }
                    }
                  } else {
                    if (callback != null && typeof callback == 'function') {
                        callback();
                    }
                  }
              });
            } else {
              if (callback != null && typeof callback == 'function') {
                  callback();
              }
            }
          });
        } else {
          if (callback != null && typeof callback == 'function') {
              callback();
          }
        }
    };

    self.getController = function (item) {
        var controller = TaskController;
        if (item && item.objectType === "Task") {
          controller = TaskController;
        } else if (item.objectType == "Project" || item.objectType == "Case") {
          controller = CaseController;
        }

        return controller;
    }

    self.setConnectionMode = function () {
      if (connection) {
        $floatButton.show();
      } else {
        $floatButton.hide();
      }
    };

    return self;
}(ChangeDueDateController || {}));
