var ChangePriorityController = (function (ChangePriorityController)
{
    var self = ChangePriorityController;

    self.updatePriority = function(item, callback) {
      var controller = self.getController(item);
      ClientAPI.updateObject(item, function (err, data) {
          if (!err) {
            controller.syncPartData(null, [data.object], function (data) {
                if (callback != null && typeof callback == 'function') {
                    callback(data);
                }
            });
          } else {
            if (callback != null && typeof callback == 'function') {
                callback();
            }
          }
      });
    };

    self.getController = function (item) {
        var controller = TaskController;
        if (item && item.objectType === "Task") {
          controller = TaskController;
        }
        return controller;
    }

    return self;
}(ChangePriorityController || {}));
