var DealStatusController = (function (DealStatusController)
{
    var self = DealStatusController;

    self.synchronization = function () {
        if (connection) {
            ClientAPI.getMetadata("Deal", "actionMatrix", function (err, dealTransition) {
                if (!err) {
                    var dealTransitionMap = {};

                    for (var i = 0, max = dealTransition.length; i < max; i++) {
                        dealTransitionMap[dealTransition[i].name] = dealTransition[i].transition;
                    }

                    ClientAPI.getMetadata("Deal", "statusMatrix", function (err, dealStatus) {
                        if (!err) {
                            var dealStatusMap = {};
                            for (var i = 0, max = dealStatus.length; i < max; i++) {
                                dealStatusMap[dealStatus[i]['status']] = [];
                                for (var j = 0, len = dealStatus[i]['availableActions'].length; j < len; j++) {
                                    dealStatusMap[dealStatus[i]['status']].push({
                                        'name': dealStatus[i]['availableActions'][j],
                                        'transition': dealTransitionMap[dealStatus[i]['availableActions'][j]]
                                    });
                                }
                            }
                            window.localStorage.setItem('dealStatusAndTransition', JSON.stringify(dealStatusMap));
                        }
                    });
                }
            });
        }
    };

    self.getDealStatus = function () {
        return JSON.parse(window.localStorage.getItem('dealStatusAndTransition'));
    };

    return self;
}(DealStatusController || {}));