var LoginController = (function (LoginController)
{
    var self = LoginController;

    self.login = function (userDomain, username, password, onSuccess) {
        var deviceId;
        var con = isConnected();
        if (!isPhoneGap()) {
          con = true;
        }
        if (isPhoneGap()) {
            deviceId = device.uuid;
        } else {
            //deviceId = generateRandomNumbersRange(15, 0, 10);
            deviceId = "72345678901234";
        }

        if (!deviceId) {
             deviceId = "72345678901234";
        }

        if (con) {
            ClientAPI.registerDeviceWithLoginPassword(userDomain, username, password, deviceId, function (err, data) {
                localStorage.setItem("deviceId", deviceId);
                if (data && data['status'] && data['status']['statusCode'] == 0 && data['token']) {
                    window.localStorage.setItem('userToken', data['token']);
                    ClientAPI.setTokenDeviceAuth(userDomain, data['token'], deviceId);
                    if (onSuccess != null && typeof onSuccess == 'function') {
                        onSuccess(err, data);
                        registerPushNotification();
                    }
                } else {
                    if (onSuccess != null && typeof onSuccess == 'function') {
                        onSuccess(err, data);
                    }
                }
            });
        }
    };

    return self;
}(LoginController || {}));
