var NavigationController = (function (NavigationController)
{
    var self = NavigationController;
    
    self.loadUserInfo = function (tab) {
        if (window.localStorage.getItem("userDomain")) {
            $("#" + tab + " .domain-link-info").text(window.localStorage.getItem("userDomain"));
            $("#" + tab + " .app-user").text(window.localStorage.getItem('userDataName'));
        } else {
            $("#" + tab + " .domain-link-info").hide();
        }
        if (connection) {
            ClientAPI.find({query: {'identity_id': window.localStorage.getItem('userId')}}, function (err, data) {
                if (!err) {
                    var item = PeopleController.encodeItem(data[0]);
                    var avatar = "";
                    if (item['avatar-url']) {
                        avatar = window.localStorage.getItem('folderPath') + item['avatar-url'];
                        if (avatar) {
                            var fileUrl = ClientAPI.rootURL + '/api/db/downloadimg?objId=' + encodeURIComponent(item.id.text) + '&fieldName=' + encodeURIComponent('picture') + '&v=' + new Date(item['updated-at'].text).getTime();
                            $("#" + tab + " .user-avatar-container").empty().append('<div  avatar_path="' + avatar + '" style="width:42px;"><div class="content-avatar is-profile-pic" style="background-image:url(' + fileUrl + ')">');
                        }
                    }
                }
            });
        }
    };

    return self;
}(NavigationController || {}));