var OrginalObjectController = (function(OrginalObjectController)
{
    var self = OrginalObjectController;
    var table = models.orginalObjectDBModel.name;

    self.saveItems = function(items, callback) {
    	var results = [];
    	for(var i = 0, max = items.length; i < max; i++){
    		results.push({
    			"id" : items[i]._id,
    			"object" : items[i]
    		});
    	}
    	db.insertOrReplaceMultiple(table, [results], function () {
            if (callback != null && typeof callback == "function") {
                callback(results);
            }
        });
    };

	self.findById = function(id, callback){
        db.selectByQuery('SELECT * FROM ' + table + ' WHERE id=?', [id], table, function (data) {
            if (callback != null && typeof callback == "function") {
                callback(data);
            }
        });
    };

    return self;
}(OrginalObjectController || {}));
