var ProfilController = (function (ProfilController)
{
    var self = ProfilController;

    self.save = function (firstName, lastName, phones, emails, webs, info, referenceId, callback) {
        var person = {"objectType": "Person"};

        if (firstName) {
            person['firstName'] = firstName.escape();
        }
        if (lastName) {
            person['lastName'] = lastName.escape();
        }
        if (info) {
            person['info'] = info.escape();
        } else {
            person['info'] = "";
        }
        if (referenceId) {
            person['referenceId'] = referenceId.escape();
        }

        if (emails.length !== 0) {
            person['eMailAddresses'] = emails;
        }

        if (phones.length !== 0) {
            person['phoneNumbers'] = phones;
        }

        if (webs != null && webs.length > 0) {
            for (var i = 0, max = webs.length; i < max; i++) {
                if (!webs[i].URL.startsWith('http')) {
                    webs[i].URL = 'http://' + webs[i].URL;
                }
            }
        }

        if (webs.length !== 0) {
            person['webAddresses'] = webs;
        }


        person['status'] = "Active";
        console.log(JSON.stringify(person));
        if (connection) {
            ClientAPI.updateUserProfile(person, function (err, data) {
                if (!err) {
                    var user = JSON.parse(window.localStorage.getItem('userProfile'));
                    user['domainMembership'].firstName = data.firstName;
                    user['domainMembership'].lastName = data.lastName;
                    user['user_profile'] = data;
                    window.localStorage.setItem("userProfile", JSON.stringify(user));
                    if (callback != null && typeof callback == "function") {
                        callback();
                    }
                } else {
                    if (callback != null && typeof callback == "function") {
                        callback();
                    }
                }
            });

        } else {
            alert("Not able to save profil in offline mode!");
        }
    };

    return self;
}(ProfilController || {}));
