"use strict";
function FileOpener() {
}

FileOpener.prototype.openFile = function (url, successCallback, errorCallback) {
    cordova.exec(function (args) {
        if (successCallback != null) {
            successCallback(args);
        }
    }, function (args) {
        if (errorCallback != null) {
            errorCallback(args);
        }
    }, 'FileOpener', "openFile", [url]);
};

FileOpener.install = function () {
    if (!window.plugins) {
        window.plugins = {};
    }

    window.plugins.FileOpener = new FileOpener();
    return window.plugins.FileOpener;
};

cordova.addConstructor(FileOpener.install);