var Messages = {
    'Dashboard': {
        'objectDoesNotExist' : "This object does not exist!",
        'isAddedOn' : 'is added on',
        'isCreatedOn' : 'is created on',
        'isUpdatedOn' : 'is updated on',
        "isAssignedOn" : "is assigned on",
        'attachment' : 'Attachment',
        'status' : "Status",
        "hasBeenChangedFrom" : "has been changed from",
        "to" : "to",
        "on" : "on",
        "changedBy" : "Changed by",
        "addedBy" : "Added by",
        "updatedBy" : "Updated by",
        "description" : "Description",
        "relatedTo" : "Related to",
        "createdBy" : "Created by",
        "assignedBy" : "Assigned by",
        "closeDate" : "Close date",
        "dueDate" : "Due date",
        "amount" : "Amount",
        'newOwner' : "New owner",
        "grantedAccessTo" : "granted access to users on"
    },
    'Contact': {
        'addAllFromPhoneContactsBook': 'Add all contacts from phone contacts book? This may take a while!',
        'saveContactMessage': "Save contact?",
        'deleteMessageErr': "You can't delete contact!",
        'deleteContactMessage': "Delete contact?"
    },
    'Profil': {
        'saveProfilMessage': "Save Profil?"
    },
    'Deal': {
        'deleteMessageErr': "You can't delete deal!",
        'deleteMessage': 'Delete selected opportunity?',
        'changeDealStatus': "Enter comment for changing deal status!",
        'undoDealStatus': "Are you sure you want to undo to previous status"
    },
    'Effort' : {
        'errorLoadingEffort' : "Error loading effort!",
        'alert' : "Alert",
        'ok': "OK",
        'invalidHoursOrDescription' : "Invalid hours or description!",
        'addEffortInFutureError' : "Can't add effort in future!",
        'addEffortToRelatedObjectError' : "Can't add effort prior to related object creation date!"
     },
    'Task': {
        'saveTaskMessage': "Save task?",
        'maxDescriptionLength': "Maximum description length is 256 characters!",
        'deleteTaskMessage': "Delete task?",
        'deleteTaskMessageErr': "You can't delete task!",
        'editTaskErrorMessage': "Task body field is empty!",
        'editTaskErrorMessageAppendData': "Append to and Data field can not be empty!",
        'sendNotificationMessage': "Send notification message?",
        'completeTaskNoteMessage': "Enter comment for changing task status!",
        'completeTaskMessage': 'Complete selected task?'
    },
    'MyGroup': {
        'userDoesntHavePhone': "This user doesn't have a phone number!"
    },
    'Login': {
        'emptyUser': 'Enter username',
        'emptyPassword': 'Enter password',
        'emptyDomain': 'Enter domain',
        'emptyServerAddress': 'Enter server address',
        'offlineMessage': "You are in offline mode"
    },
    'Note': {
        'noteMessage': "Note body field is empty!",
        'deleteNoteMessage': "Delete note?",
        'deleteMessageErr': "You can't delete note!",
        'choseCameraForAttachment': "Choose photo from file browser or take photo?",
        'saveNote': 'Save this note?'
    },
    'Comment': {
        'saveComment': 'Save this comment?',
        'deleteComment': 'Delete selected comment?'
    },
    'Sip': {
        'saveSipCompleted': "Sip is successfully saved!"
    },
    'General': {
        'noPrice': 'No price set',
        'newVersionApp' : 'There is a new version of the app. Do you want to update?'
    },
    'Case': {
        'deleteCaseMessage': "Delete project?",
        'deleteCaseMessageErr': "You can't delete project!",
        'saveCaseMessage': "Save project?",
        'backgroundInfo': "No background info!",
        'backgroundInfoErr': "Background info is required field!"
    },
    'Offline': {
        'offlineMode': 'You are in offline mode, item will be added on next synchronization!'
    },
    'Domain': {
        'errorDomain': "You must enter a domain!",
        'errorUsername': "You must enter a username!",
        'errorPassword': "You must enter a password!",
        'errorActiveDomain': "You can't change domains in offline mode!",
        'errorServer': "You must enter a server address!",
        'saved': "Your data has been successfully saved",
        'removeDomain': "Are you sure you wont to delete this domain?",
        'saveDomain': "Do you won't to save domain?",
        'changeDomain': "Do you want to change domain?",
        'successChangeDomain': "Domain is successfully changed!"
    }
};
