/*
 * file for shared functions, variables, etc
 */

//variables
var models = new Model();
var db = new AppDatabase();
db.openDatabase();
var hclient = new WebClient();
var rootPath = window.location.pathname.split("www")[0] + "www";
var sharedTaskForOpen = null;
var sharedDealForOpen = null;
var sharedNoteForOpen = null;
var sharedCaseForOpen = null;
var sharedContactForOpen = null;
var sharedCompanyForAddPeople = null;
var pageObject = null;
var sharedDealId = null;
var sharedCaseId = null;
var sharedDealForTask = null;
var noteAndEmailArray = null;
var sharedUserIdForAssignedTasks = null;
var taskFromContactObject = null;
var sharedNoteBaseObject = null;
var userAuth;
var sipUrl = "http://193.169.48.27/";
var adsUrl = "http://sip1.hsl.eu/";
var sipPluginDomain = "193.169.48.27";
var userAdmin;
var userId;
var userDomain;
var emptyList = 'Empty list';
var emptyListHtml = '<li class="center empty-list">' + emptyList + '</li>';
var noneItem = '<option value="None">None</option>';
var dealForEditId;
var sharedCommentForOpen = null;
var sharedTaskResponsibleId = null;
var sharedRecording = null;
var patternForMail = new RegExp('^[_A-Za-z0-9-\\+]+(\\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\\.[A-Za-z0-9]+)*(\\.[A-Za-z]{2,})$');
var numIdForDelete = null;
var openFrom = "dashboard";
var SIP_EXPIRE_TIME = 3600;
var latitude = null;
var longitude = null;
var userAddress = null;

window.localStorage.setItem('activUser', true);
window.localStorage.setItem("serverVersion", "8");


//window.localStorage.setItem("enableSave", false);
var isDialogRaised = false;
var sipStatusLocal = false;
var doRefresh = false;
var syncAllConnectionCheck = false;
var sharedTaskId = null;
//broj itema koji ce se prikazivati u listama

var offset = 30;
var feedOffset = 30;
//niz za cuvanje imena sa crm vezanih za broj, kako bi se prikazali ako kontakt nije na telefonu vec samo na crm-u
var CALL_ARRAY = [];
var CALL_NAMES = [];

//ClientAPI.rootURL='https://vedo01.hermes.si:3433';
//ClientAPI.rootURL = 'https://connectcrm3.hsl.eu';

if (window.localStorage.getItem('serverAddress')) {
    ClientAPI.rootURL = window.localStorage.getItem('serverAddress');
}
var TASK_TYPE = {
    UPCOMING: 0,
    ASSIGNED: 1,
    COMPLETED: 2
};

var myMap = {
    overdue: 1,
    today: 2,
    tomorrow: 3,
    this_week: 4,
    next_week: 5,
    later: 6
};

var SipStatusSort = {
    green: 1,
    yellow: 2,
    red: 3
};

var InfoMessageIntervId = setInterval(function () {
    SipMessageSettingFunctions.getDataFromServer();
}, 3600 * 1000);

var SipRegistration = setInterval(function () {
    //SipController.setSip();
}, 10 * 60 * 1000);

var CheckSipStatus = setInterval(function () {
    statusSipGlobal();
}, 1800 * 1000);

//functions
function getUserContext(onSuccess) {
    var domain = localStorage.getItem("userDomain");
    var auth = localStorage.getItem("userAuth");
    if (domain == null || auth == null) {
        onSuccess(null);
        return;
    }

    //offline support
    if (connected == false && domain != null && auth != null) {
        userContext = new Object();
        userContext.domainName = domain;
        userContext.userAuth = auth;
        onSuccess(userContext);
        return;
    }
}

var isInidcatorShown = false;

function showLoadingIndikator() {
    $.mobile.loading('show', {
        text: 'Loading...',
        textVisible: true,
        theme: 'd',
        html: ""
    });
}

function hideLoadingIndikator() {
    $.mobile.loading('hide');
}

function showActionDialog(textMessage, okLabel, okFunction, cancelLabel, cancelFunction) {
    showDialog("DIALOG", textMessage, "WARNING", okLabel, okFunction, cancelLabel, cancelFunction);
}

function showPromptDialog(message, title, okBtnLabel, okEvent, cancelBtnLabel, cancelEvent) {
    showDialog("PROMPT", message, title, okBtnLabel, okEvent, cancelBtnLabel, cancelEvent);
    return false;
}

function showAlertDialog(message, title, okBtnLabel, okEvent) {
    showDialog("ALERT", message, title, okBtnLabel, okEvent);
    return false;
}

function showDialog(type, message, title, okBtnLabel, okEvent, cancelBtnLabel, cancelEvent, additionalBtnLabel, additionalEvent) {
    var dialogId = "action-dialog";
    $('#' + dialogId).remove();

    var html;
    if (type == "DIALOG") {
        html = '<div data-dismissible="false" data-role="popup" id="' + dialogId + '" class = "action-dialog-popup">'
                + '<div class = "action-dialog-title">' + title + '</div>'
                + '<p class = "action-dialog-message"><i class="md-warning md-2x" style="position: relative;top: 6px; color: #FECE00"></i>  ' + message + '<p>'
                + '<input type="button" class = "action-dialog-button" id="ok-dialog-button" value="' + okBtnLabel + '"/>';
        if (additionalBtnLabel && additionalEvent) {
            html += '<input type="button" class = "action-dialog-button" id="additional-dialog-button" style="margin-left: 10px; width: 80px;" value="' + additionalBtnLabel + '"/>';
        }
        html += '<input type="button" class = "action-dialog-button" id="cancel-dialog-button" style="margin-left:10px;" value="' + cancelBtnLabel + '"/>'
                + '</div>';
    } else if (type == "ALERT") {
        html = '<div data-dismissible="false" data-role="popup" id="' + dialogId + '" class = "action-dialog-popup">'
                + '<div class = "action-dialog-title">' + title + '</div>'
                + '<p class = "action-dialog-message">' + message + '<p>'
                + '<input type="button" class = "action-dialog-button" id="ok-dialog-button" value="' + okBtnLabel + '"/>'
                + '</div>';
    } else if (type == "PROMPT") {
        html = '<div data-dismissible="true" data-role="popup" id="' + dialogId + '" class = "action-dialog-popup">'
                + '<div class = "action-dialog-title">' + title + '</div>'
                + '<p class = "action-dialog-message">' + message + '<p>'
                + '<input class = "action-dialog-input" type="text" id="prompt-text-input-popup-field"/><br/>'
                + '<input type="button" class = "action-dialog-button" id="ok-dialog-button" value="' + okBtnLabel + '"/>'
                + '<input type="button" class = "action-dialog-button" id="cancel-dialog-button" style="margin-left:10px;" value="' + cancelBtnLabel + '"/>'
                + '</div>';
    }
    $(html).popup();
    $('#' + dialogId).popup('open');
    $('#' + dialogId).popup("reposition", {y: 200});
    $('#' + dialogId).show();
    isPopupOpen = true;
//	$('select').selectmenu("disable");
    $(document).off('click', '#ok-dialog-button');
    $(document).off('click', '#cancel-dialog-button');

    if (additionalBtnLabel && additionalEvent) {
        $(document).off('click', '#additional-dialog-button');

        $(document).on('click', '#additional-dialog-button', function () {
            if (additionalEvent != null) {
                additionalEvent();
            }
            if ($("#prompt-text-input-popup-field").val() != "") {
                $('#' + dialogId).remove();
            }
            isPopupOpen = false;
        });
    }

    $(document).on('click', '#ok-dialog-button', function () {
        if (okEvent != null) {
            okEvent();
        }
        if ($("#prompt-text-input-popup-field").val() != "") {
            $('#' + dialogId).remove();
        }
        isPopupOpen = false;
//		$('select').selectmenu("enable");
    });

    if (type != "ALERT") {
        $(document).on('click', '#cancel-dialog-button', function () {
            if (cancelEvent != null) {
                cancelEvent();
            }
            $('#' + dialogId).remove();
            isPopupOpen = false;
//			$('select').selectmenu("enable");
            hideLoadingIndikator();
        });
    }
}

//window.alert = function (str) {
//	navigator.notification.alert(str, null, "ConneCT", 'OK');
//}

function closeAplication() {
    showActionDialog("Are you sure you want to EXIT the application?", "Yes", function () {
        window.plugins.SipPlugin.closeConnection(function () {
            if (connection) {
                var objectSip = {
                    domain: window.localStorage.getItem('sipDomain'),
                    status: 0
                };
                ClientAPI.updateSipStatus(objectSip, function () {
                    exitFromAplication();
                });
            } else {
                //navigator.app.exitApp();
                exitFromAplication();
            }
        }, function () {
            //navigator.app.exitApp();
            exitFromAplication();
        });
    }, "No", function () {
    });
}
function exitFromAplication() {
    if (navigator.app) {
        navigator.app.exitApp();
    } else if (navigator.device) {
        navigator.device.exitApp();
    }
}

function openPopup(selectorId) {
    $(selectorId).css('max-height', $(window).height() - 50);
    $(selectorId).popup('open');
    $(selectorId).popup("reposition", {y: 200});
    // resize event
    $(window).bind('resize', function () {
        $(selectorId).css('max-height', $(window).height() - 50);
    }).trigger('resize');

    // close event
    $(selectorId).unbind();
    $(selectorId).bind({
        popupafterclose: function (event, ui) {
            $(window).unbind('resize');
        }
    });

    return false;
}

function closePopup(selectorId) {
    $(selectorId).popup('close');
}

function emailMessageIncorrect(email) {
    return 'The e-mail address "' + email + '" was incorrect!';
}

function sendInfoUser(action) {
    if (isCordovaReady && connection) {
        var object = {
            name: window.localStorage.getItem("userDataName"),
            email: window.localStorage.getItem("userDataEmail"),
            domain: window.localStorage.getItem("userDomain"),
            devicePlatform: device.platform,
            deviceVersion: device.version,
            deviceModel: device.model
        };

        $.ajax({
            type: 'POST',
            url: 'http://mcrmserver.hsl.eu/MCRMServerInfov2/webresources/com.comtrade.model.userinformation',
            data: JSON.stringify(object),
            contentType: 'application/json',
            dataType: 'json',
            cache: false,
            async: true,
            success: function (response) {
                window.localStorage.setItem('activUser', response['active']);
            },
            error: function (jqXHR, textStatus, errorThrown) {
                if (onError != null) {
                    onError(jqXHR);
                }
                if (jqXHR.status != 200) {
                    onWebError(jqXHR);
                } else {
                    if (onSuccess != null) {
                        onSuccess();
                    }
                }
            }
        });
    }
}

function convertDateToString(date) {
    var result = date.getFullYear();
    ((date.getMonth() + 1) < 10) ? result += "0" + (date.getMonth() + 1) : result += "" + (date.getMonth() + 1);
    ((date.getDate()) < 10) ? result += "0" + date.getDate() : result += "" + date.getDate();
    ((date.getHours()) < 10) ? result += "0" + date.getHours() : result += "" + date.getHours();
    ((date.getMinutes()) < 10) ? result += "0" + date.getMinutes() : result += "" + date.getMinutes();
    ((date.getSeconds()) < 10) ? result += "0" + date.getSeconds() : result += "" + date.getSeconds();
    return result;
}

function statusSipGlobal() {
    if (navigator.userAgent.match(/(iPad|iPhone)/)) {
        changeSipStatusIconForIOS();
    } else {
        if (connection) {
            window.plugins.SipPlugin.sipStatus(function (msg) {
                if (JSON.parse(msg.sip)) {
                    changeSipStatusIcon(true);
                    sipStatusLocal = true;
                    updateSipStatus(1);
                } else {
                    changeSipStatusIcon(false);
                    sipStatusLocal = false;
                    updateSipStatus(0);
                }
            });
        } else {
            sipStatusLocal = false;
            changeSipStatusIcon(false);
        }
    }
}

function changeSipStatusIcon(status) {
    var currentPage = '#' + $.mobile.activePage.attr('id');
    var onlineIcon = "online-icon";
    var offlineIcon = "offline-icon";

    if (currentPage == "#myGroup") {
        onlineIcon = "online-icon-current";
        offlineIcon = "offline-icon-current";
    }


}

function changeSipStatusIconForIOS() {
    var currentPage = '#' + $.mobile.activePage.attr('id');
    var onlineIcon = "online-icon";
    var offlineIcon = "offline-icon";
    var basicIcon = "contact-company-icon";
    var basicIconCurrent = "contact-company-icon-current";

    $(currentPage + ' #mygroup-link').removeClass(offlineIcon);
    $(currentPage + ' #mygroup-link').removeClass(onlineIcon);
    if (currentPage == "#myGroup") {
        $(currentPage + ' #mygroup-link').removeClass(basicIcon);
        $(currentPage + ' #mygroup-link').addClass(basicIconCurrent);
    } else {
        $(currentPage + ' #mygroup-link').removeClass(basicIconCurrent);
        $(currentPage + ' #mygroup-link').addClass(basicIcon);
    }
}

function updateSipStatus(status, callback) {
    var sipStatus = localStorage.getItem('sip_status');

    var objectSip = {
        domain: window.localStorage.getItem('sipDomain'),
        status: sipStatus == "on" ? status : 0
    };

    ClientAPI.updateSipStatus(objectSip, function (data) {
        if (data) {
            if (sipStatusLocal) {
                changeSipStatusIcon(sipStatus == "on" ? true : false);
            } else {
                changeSipStatusIcon(false);
            }
            if (callback) {
                callback(status);
            }
        }
    });
}

function createCalendarEvent(taskObject) {
    if (taskObject['due-at'].text) {
        var taskId = taskObject.id.text;
        var startDate = new Date(taskObject['due-at'].text);
        startDate.setHours(8, 0, 0, 0);
        var endDate = new Date(taskObject['due-at'].text);
        endDate.setHours(8, 15, 0, 0);
        var notes = taskObject.body;
        var title = taskObject.body;
        var location = "Beezify";
        if (notes != null && title != null && startDate != null && endDate != null) {
            window.plugins.calendar.createEvent(title, location, notes, startDate, endDate, function () {

            }, function (err) {
                alert(JSON.stringify(err));
            });
        }
    }
}

function updateCalendarEvent(oldTitle, oldStartDate, oldEndDate, taskObj) {
    if (oldTitle && oldStartDate && oldEndDate) {
        window.plugins.calendar.deleteEvent(oldTitle, "Beezify", null, oldStartDate, oldEndDate, function () {
            createCalendarEvent(taskObj);
        }, function () {
            console.log("Error deleting calendar event!");
        });
    }
}

function deleteCalendarEvent(oldTitle, oldStartDate, oldEndDate) {
    window.plugins.calendar.deleteEvent(oldTitle, "Beezify", null, oldStartDate, oldEndDate, function () {
    }, function () {
        console.log("Error deleting calendar event!");
    });
}

function htmlStrip(htmlText) {
    return String(htmlText).replace(/<[^>]+>/gm, '');
}

function isPhoneGap() {
    return (cordova || PhoneGap || phonegap)
            && /^file:\/{3}[^\/]/i.test(window.location.href)
            && /ios|iphone|ipod|ipad|android/i.test(navigator.userAgent);
}

function imgError(image) {
    image.onerror = "";
    if ($(image).attr("id") == "ad-image") {
        image.src = rootPath + "/images/comtrade-ad.png";
    } else {
        image.src = rootPath + "/images/avatar.gif";
    }
    return true;
}

function checkCurrentSipStatus() {
    var sipStatus = window.localStorage.getItem("sip_status");
    if (sipStatus == "on") {
        $(".fa-circle").css("color", "#8BE381");
    } else {
        $(".fa-circle").css("color", "red");
    }
}

$(document).on('pageshow', 'div[data-role="page"]', setHeaderOfflineOrOnline);

function setHeaderOfflineOrOnline(event, ui) {
    if (connection) {
        $('#' + $.mobile.activePage.attr('id') + ' #header-box').removeClass("offline-mode-message").addClass("online-mode-message");
        $('.title-h1').show();
    } else {
        $('#' + $.mobile.activePage.attr('id') + ' #header-box').removeClass("online-mode-message").addClass("offline-mode-message");
        $('.title-h1').hide();
    }
}

if (typeof String.prototype.startsWith != 'function') {
    // see below for better implementation!
    String.prototype.startsWith = function (str) {
        return this.indexOf(str) == 0;
    };
}

if (typeof String.prototype.escape != 'function') {
    String.prototype.escape = function () {
        var tagsToReplace = {
            '&': '&amp;',
            '<': '&lt;',
            '>': '&gt;'
        };
        return this.replace(/[&<>]/g, function (tag) {
            return tagsToReplace[tag] || tag;
        });
    };
}

$(document).on('pagehide', 'div[data-role="page"]', function (event, ui) {
    $("body").off();
    $(event.currentTarget).remove();
});


function drawStatusHistory(elemId, objectElement) {
    var creationDate = dateFormat(new Date(objectElement["created-at"].text));
    var c = document.getElementById(elemId);
    c.height = 150;
    if (objectElement.statusHistory.length > 2 && objectElement.statusHistory.length < 5) {
        c.height = 250;
    }
    if (objectElement.statusHistory.length >= 5 && objectElement.statusHistory.length < 10) {
        c.height = 500;
    }
    if (objectElement.statusHistory.length >= 10) {
        c.height = 1000;
    }
    var ctx = c.getContext("2d");
    var br = 20;
    ctx.font = "14px Arial";
    if (ctx.fillStyle != "black") {
        ctx.fillStyle = "black";
    }
    ctx.fillText(creationDate, 10, br + 5);
    ctx.beginPath();
    ctx.arc(100, br, 5, 0, 2 * Math.PI);
    ctx.stroke();
    ctx.fill();
    ctx.fillStyle = "blue";
    ctx.fillText("Created", 120, br + 5);
    var ownerWidth = ctx.measureText(ALL_USERS[objectElement['author-id'].text].name).width;
    if (ownerWidth > 180) {
        ctx.font = "12px Arial";
    }
    ctx.fillStyle = "black";
    ctx.fillText("by " + ALL_USERS[objectElement['author-id'].text].name, 120, br + 20);
    br += 20;


    if (objectElement.statusHistory && objectElement.statusHistory.length > 0) {
        for (var i = 0; i < objectElement.statusHistory.length; i++) {
            if (ctx.fillStyle != "black") {
                ctx.fillStyle = "black";
            }
            ctx.fillText(dateFormat(new Date(objectElement.statusHistory[i].modificationDate)), 10, br + 30);
            ctx.beginPath();
            ctx.arc(100, br + 25, 5, 0, 2 * Math.PI);
            ctx.stroke();
            ctx.fill();
            switch (objectElement.statusHistory[i].actionPerformed) {
                case "Won":
                case "Assign":
                    ctx.fillStyle = "green";
                    break;
                case "Close":
                case "Lost":
                    ctx.fillStyle = "red";
                    break;
                case "Complete":
                    ctx.fillStyle = "orange";
                    break;
                default:
                    ctx.fillStyle = "black";
                    break;
            }
            ctx.fillText(objectElement.statusHistory[i].actionPerformed, 120, br + 30);
            if (objectElement.statusHistory[i].modifierName) {
                ctx.fillStyle = "black";
                ctx.fillText("by " + objectElement.statusHistory[i].modifierName, 120, br + 45);
            }
            ctx.moveTo(100, 20);
            ctx.lineTo(100, br + 20);
            ctx.stroke();
            br += 50;
        }
    }
}

function deleteCanvasElement(elemId) {
    var c = document.getElementById(elemId);
    if (c) {
      var ctx = c.getContext("2d");
      ctx.clearRect(0, 0, c.width, c.height);
    }
}

function getDueDateFormat(date) {
    if (date) {
        var dateElements = date.split(".");
        var dateString = "";
        for (var i = 0; i < dateElements.length; i++) {
            dateString += dateElements[i];
            if (i < dateElements.length - 1) {
                dateString += "-";
            }
        }
        return dateString;
    } else {
        return null;
    }

}

function reverseDate(date) {
    if (date) {
        var dateElements = date.split("-");
        var dateString = "";
        for (var i = dateElements.length - 1; i >= 0; i--) {
            dateString += dateElements[i];
            if (i > 0) {
                dateString += "-";
            }
        }
        return dateString;
    } else {
        return null;
    }
}

function normalizeDateFormat(date) {
    if (date) {
        var dateElements = date.split('-');
        var dateString = "";
        for (var i = 0; i < dateElements.length; i++) {
            dateString += dateElements[i];
            if (i < dateElements.length - 1) {
                dateString += ".";
            }
        }
        return dateString;
    } else {
        return null;
    }
}

function dhmFunction(milisec) {
    if (milisec) {
        var cd = 24 * 60 * 60 * 1000,
                ch = 60 * 60 * 1000,
                d = Math.floor(milisec / cd),
                h = Math.floor((milisec - d * cd) / ch),
                m = Math.floor((milisec - d * cd - h * ch) / 60000),
                s = Math.round((milisec - d * cd - h * ch - m * 60 * 1000) / 1000),
                pad = function (n) {
                    return n < 10 ? '0' + n : n;
                };

        if (s == 60) {
            m++;
            s = 0;
        }
        if (m === 60) {
            h++;
            m = 0;
        }
        if (h === 24) {
            d++;
            h = 0;
        }

        if (d > 0) {
            return '(' + d + ' days ago)';
        } else if (h > 0) {
            return '(' + h + ' hours ago)';
        } else if (m > 0) {
            return '(' + m + ' minutes ago)';
        } else if (s > 0) {
            return '(' + s + ' seconds ago)';
        }
    } else {
        return null;
    }
}

function removeCallListForIOS(menuClass, pageId, listItem) {
    if (navigator.userAgent.match(/(iPad|iPhone)/)) {
        var $listId = $('#' + pageId + ' .' + menuClass);
        $('#' + pageId + ' .' + menuClass + " #" + listItem).remove();
    }
}

function playSound(url) {
    var location = window.location.pathname;
    location = location.split("www");
    var mediaUrl = location[0] + url;
    var my_media = new Media(mediaUrl,
            // success callback
                    function () {
                        console.log("Audio Success");
                    },
                    // error callback
                            function (err) {
                                console.log("Audio Error: " + JSON.stringify(err));
                            });

                    // Play audio
                    my_media.play();
}


 function getUserLocation(callback) {
    showLoadingIndikator();
    navigator.geolocation.getCurrentPosition(function (position) {
        if(callback && typeof callback == "function"){
            callback(position.coords);
        }
        }, function (err) {
            console.log("Code: " + err.code + ", message: " + err.message);
            if(callback && typeof callback == "function"){
                callback(err);
            }
            }, {maximumAge: 0, timeout: 10000, enableHighAccuracy: true});
}

        function openOptionsPopup(pageId) {
            $('#' + pageId + ' .popup-menu-backdrop').toggle();
            $('#' + pageId + ' .advanced-menu').css('z-index', '20000');
            $('#' + pageId + ' .advanced-menu').slideToggle('4000', 'swing');
        }

        function initDateTimePicker(selector) {
            if (navigator.userAgent.match(/(iPad|iPhone)/)) {
                $(selector).attr('type', 'datetime-local');
            } else {
                $('#disable-date-time').removeClass("disable-date-time-class");
                $(selector).mobiscroll().date({
                    theme: 'android',
                    display: 'modal',
                    mode: 'scroller',
                    dateOrder: 'dd MM yy',
                    dateFormat: 'dd.mm.yy',
                    timeFormat: 'HH:ii',
                    timeWheels: 'HH:ii',
                    maxDate: new Date(2025, 1, 1),
                    minDate: new Date(2010, 1, 1)
                });
            }
        }
