$(document).on('pageinit', '#view-contact', function () {
    ViewContactFunctions.init();
});

$(document).on('pageshow', '#view-contact', function () {
    sharedTaskForOpen = null;
    $("#" + $.mobile.activePage.attr('id') + ' #refresh-link').hide();
    ViewContactFunctions.bindElementControls();
    ViewContactFunctions.setConnectionMode();
    // overrideBackButton = ViewContactFunctions.goBackEvent;
    setTimeout(function () {
        $("#view-contact .swipe-indicator").fadeOut("400");
    }, 1000);
});

$(document).on('pagehide', '#view-contact', function () {
    ViewContactFunctions.unbindElementControls();
    ViewContactFunctions.isUser = false;
    $('#view-contact').remove();
});

var ViewContactFunctions = (function (ViewContactFunctions)
{
    var self = ViewContactFunctions;
    self.findTime = null;
    self.isUser = false;        //ovo je kontakt
    self.tab = {current: "GENERAL", active: "GENERAL"};
    var start = 0;
    var contactObj = null;
    var contactTypeTest = null;
    var contactId = null;
    var contactObjects = null;
    var currentContactIndex = null;
    var contactType = null;
    var setProfile = true;
    var listStart = 0;
    var isPeopleList = false;
    var caseStartPage = 0;

    var $viewContactFeedContent = null;
    var $feedList = null;
    var $feedLink = null;
    var contactPhoneNumbers = [];
//    var tapholdActive					= false;
    var pageId = null;
    var $refreshLink = null;
    var $addLink = null;
    var $viewContactGeneralContent = null;
    var $viewContactNotesContent = null;
    var $viewContactTasksContent = null;
    var $viewContactDealsContent = null;
    var $viewContactPeopleContent = null;
    var $viewContactCaseContent = null;
    var $viewContactCallLogContent = null;
    var $viewContactPeopleList = null;
    var $avatar = null;
    var $name = null;
    var $tags = null;
    var $companyName = null;
    var $title = null;
    var $titleBox = null;
    var $viewContactBackground = null;
    var $backgroundInfo = null;
    var backgroundInfoHeader = null;
    var $linkedin = null;
    var $linkedinLabel = null;
    var $userContactPermissionList = null;
    var $viewContactPrivate = null;
    var $contactAddressList = null;
    var $contactAddressListLabel = null;
    var $contactEmailList = null;
    var $contactEmailListLabel = null;
    var $contactIMList = null;
    var $contactIMListLabel = null;
    var $contactPhoneList = null;
    var $contactPhoneListLabel = null;
    var $contactTwitterList = null;
    var $contactTwitterListLabel = null;
    var $contactWebAdressList = null;
    var $contactWebAdressListLabel = null;
    var $permissionContactUsers = null;
    var $contactFilterTaskList = null;
    var $contactFilterDealList = null;

    var $callLogList = null;
    var $peopleLink = null;
    var $taskLink = null;
    var $noteLink = null;
    var $dealsLink = null;
    var $titleHeader = null;
    var $companyNameHeading = null;
    var $contactMoreLink = null;
    var $contactPopup = null;
    var $homeLink = null;

    var $notesLinkContainer = null;
    var $tasksLinkContainer = null;
    var $dealsLinkContainer = null;
    var $peopleLinkContainer = null;
    var $calllogContainer = null;

    var $taskList = null;
    var $dealList = null;
    var $caseList = null;

    var TaskType = {
        'CURRENT': 'filter-upcoming-tasks',
        'UPCOMING': 'filter-upcoming-tasks',
        'COMPLETED': 'filter-completed-tasks',
        'MYUPCOMING': 'filter-my-upcoming-tasks',
        'RECENTLYADDED': 'filter-my-recent-tasks'
    };

    self.init = function () {
        pageId = 'view-contact';
        VisibleDomainController.hide(pageId);
        $feedList = $('#' + pageId + ' #view-contact-feed-list');
        $feedLink = $('#' + pageId + ' #feed-link');
        $homeLink = $("#" + pageId + ' #info-link');
        $refreshLink = $('#' + pageId + ' #refresh-link');
        $addLink = $('#' + pageId + ' #add-link');
        $peopleLink = $('#' + pageId + ' #people-link-text');
        $peopleLinkContainer = $('#' + pageId + ' #people-link');
        $taskLink = $("#" + pageId + ' #tasks-link-text');
        $tasksLinkContainer = $("#" + pageId + ' #tasks-link');
        $noteLink = $("#" + pageId + ' #notes-link-text');
        $notesLinkContainer = $("#" + pageId + ' #notes-link');
        $dealsLink = $("#" + pageId + ' #deals-link-text');
        $dealsLinkContainer = $("#" + pageId + ' #deals-link');
        $calllogContainer = $("#" + pageId + " #call-log-link");

        $viewContactPeopleList = $('#' + pageId + ' #view-contact-people-list');

        $viewContactGeneralContent = $('#' + pageId + ' #view-contact-general-content');
        $viewContactFeedContent = $('#' + pageId + ' #view-contact-feed-content');
        $viewContactNotesContent = $('#' + pageId + ' #view-contact-notes-content');
        $viewContactTasksContent = $('#' + pageId + ' #view-contact-tasks-content');
        $viewContactDealsContent = $('#' + pageId + ' #view-contact-deals-content');
        $viewContactPeopleContent = $('#' + pageId + ' #view-contact-people-content');
        $viewContactCaseContent = $('#' + pageId + ' #view-contact-cases-content');
        $viewContactCallLogContent = $('#' + pageId + ' #view-contact-call-log-content');

        $name = $('#' + pageId + ' #name');
        $tags = $('#' + pageId + ' #tags');
        $companyName = $('#' + pageId + ' #company-name');
        $title = $('#' + pageId + ' #title');
        $titleBox = $('#' + pageId + ' #title-box');
        $viewContactBackground = $('#' + pageId + ' #view-contact-background');
        $avatar = $('#' + pageId + ' #avatar');
        $backgroundInfo = $('#' + pageId + ' #background-info');
        $backgroundInfoHeader =  $('#' + pageId + ' #view-contact-background-info');
        $linkedin = $('#' + pageId + ' #linkedin');
        $linkedinLabel = $('#' + pageId + ' #linkedin-box');
        $userContactPermissionList = $('#' + pageId + ' #user-contact-permission-list');
        $viewContactPrivate = $('#' + pageId + " #permission-info");

        $contactAddressList = $('#' + pageId + ' #contact-address-list');
        $contactAddressListLabel = $('#' + pageId + ' #contact-address-box');
        $contactEmailList = $('#' + pageId + ' #contact-email-list');
        $contactEmailListLabel = $('#' + pageId + ' #contact-email-box');
        $contactIMList = $('#' + pageId + ' #contact-IM-list');
        $contactIMListLabel = $('#' + pageId + ' #contact-IM-box');
        $contactPhoneList = $('#' + pageId + ' #contact-phone-list');
        $contactPhoneListLabel = $('#' + pageId + ' #contact-phone-box');
        $contactTwitterList = $('#' + pageId + ' #contact-twitter-list');
        $contactTwitterListLabel = $('#' + pageId + ' #contact-twitter-box');
        $contactWebAdressList = $('#' + pageId + ' #contact-web-adress-list');
        $contactWebAdressListLabel = $('#' + pageId + ' #contact-web-adress-box');
        $permissionContactUsers = $('#' + pageId + ' #permission-contact-users');
        $contactFilterTaskList = $('#' + pageId + ' #filter-contact-task-type');
        $contactFilterDealList = $('#' + pageId + ' #filter-deal-type');
        $callLogList = $('#' + pageId + ' #call-log-list');
        $titleHeader = $('#' + pageId + ' .title-h1');
        $companyNameHeading = $('#' + pageId + ' #company-name-box');
        $contactMoreLink = $("#contact-more-link");
        $contactPopup = $("#view-contact .advanced-menu");

        $taskList = $("#view-contact-tasks-list");
        $dealList = $("#view-contact-deals-list");
        $caseList = $("#view-contact #view-contact-cases-list");

        $contactFilterTaskList.i18n();
        $contactFilterTaskList.selectmenu('refresh', true);
        $contactFilterDealList.i18n();
        $contactFilterDealList.selectmenu('refresh', true);
        $("#view-contact #filter-case-type").i18n();
        $("#view-contact #filter-case-type").selectmenu('refresh', true);

        if (pageObject) {
            contactId = pageObject.contactId;
            contactType = pageObject.contactType.toLowerCase();
            contactObjects = pageObject.contactObjects;
            listStart = pageObject.listPageCount;
            if (pageObject.setProfil != undefined) {
                setProfile = pageObject.setProfil;
            } else {
                setProfile = true;
            }
            pageObject = null;
        }



        //contact pagination
        if (contactObjects && contactObjects.length > 1) {
            for (var i = 0; i < contactObjects.length; i++) {
                if (contactObjects[i].id == contactId) {
                    currentContactIndex = i;
                    break;
                }
            }
            contactType = contactObjects[currentContactIndex].type.toLowerCase();
            $("#view-contact .contact-count").text("(" + (currentContactIndex + 1) + "/" + contactObjects.length + ")");
        } else {
            $("#view-contact .title-h1").text("");
        }

        VisibleDomainController.hide("view-contact", contactType);

        // init contact object
        if (contactId && contactType) {
            var controller = null;
            if (contactType == 'company') {
                $('.avatar-container').html('<span id="avatar" class="avatar is-contact-image"><i class="md-business  md-3x"></i></span>');
                controller = CompanyController;
            } else {
                $('.avatar-container').html('<span id="avatar" class="avatar is-contact-image"><i class="md-person  md-3x"></i></span>');
                controller = PeopleController;
            }

            controller.findById(contactId, function (item) {
                if (item != null && item[0] != null) {
                    if (item[0].phoneNumbers && item[0].imAddresses && item[0].webAddresses && item[0].eMailAddresses) {
                        if (item[0].phoneNumbers.length > 0 || item[0].imAddresses.length > 0 || item[0].webAddresses.length > 0 || item[0].eMailAddresses.length > 0) {
                            $("#contact-detail-container").show();
                        } else {
                            $("#contact-detail-container").hide();
                        }
                    } else {
                        if (contactType == "company") {
                            if (item[0]["company"]["contact-data"]["phone-numbers"]["phone-number"].length > 0 || item[0]["company"]["contact-data"]["email-addresses"]["email-address"].length > 0 || item[0]["company"]["contact-data"]["web-addresses"]["web-address"].length > 0) {
                                $("#contact-detail-container").show();
                            } else if (item[0]["company"]["contact-data"]["phone-numbers"]["phone-number"].id || item[0]["company"]["contact-data"]["email-addresses"]["email-address"].id || item[0]["company"]["contact-data"]["web-addresses"]["web-address"].id) {
                                $("#contact-detail-container").show();
                            } else {
                                $("#contact-detail-container").hide();
                            }
                        } else {
                            if (item[0]["contact-data"]["phone-numbers"]["phone-number"].length > 0 || item[0]["contact-data"]["email-addresses"]["email-address"].length > 0 || item[0]["contact-data"]["web-addresses"]["web-address"].length > 0) {
                                $("#contact-detail-container").show();
                            } else if (item[0]["contact-data"]["phone-numbers"]["phone-number"].id || item[0]["contact-data"]["email-addresses"]["email-address"].id || item[0]["contact-data"]["web-addresses"]["web-address"].id) {
                                $("#contact-detail-container").show();
                            } else {
                                $("#contact-detail-container").hide();
                            }
                        }
                    }
                    if (item[0]['_id']) {
                        if (contactType == "company") {
                            contactObj = controller.encodeItem(item[0]);
                        } else {
                            contactObj = controller.encodeItem(item[0]);
                        }
                    } else {
                        if (contactType == "company") {
                            contactObj = item[0]['company'];
                        } else {
                            if (item[0]['people'] == null) {
                                contactObj = item[0];
                            } else {
                                contactObj = item[0]['people'];
                            }
                        }
                    }
                    if (contactObj != null) {
                        if (contactObj.hasOwnProperty('identity_id') && contactObj['identity_id'] != null) {
                            self.isUser = contactObj.hasOwnProperty('identity_id');
                            setProfile = false;
                        }
                    }
//                    self.showGeneral();
                    self.activeTab();
                    self.loadData();
                    self.drawFilter();
                }
            }, true);
        }
    };

    self.activateTab = function (tabName) {
        switch (tabName) {
            case "Home":
                $notesLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $peopleLinkContainer.removeClass("btn-active");
                $calllogContainer.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $homeLink.addClass("btn-active");
                break;
            case "Deal":
                $notesLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $peopleLinkContainer.removeClass("btn-active");
                $calllogContainer.removeClass("btn-active");
                $homeLink.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $dealsLinkContainer.addClass("btn-active");
                break;
            case "Task":
                $notesLinkContainer.removeClass("btn-active");
                $peopleLinkContainer.removeClass("btn-active");
                $calllogContainer.removeClass("btn-active");
                $homeLink.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $tasksLinkContainer.addClass("btn-active");
                break;
            case "Note":
                $peopleLinkContainer.removeClass("btn-active");
                $calllogContainer.removeClass("btn-active");
                $homeLink.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $notesLinkContainer.addClass("btn-active");
                break;
            case "People":
                $calllogContainer.removeClass("btn-active");
                $homeLink.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $notesLinkContainer.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $peopleLinkContainer.addClass("btn-active");
                break;
            case "Call Log":
                $homeLink.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $notesLinkContainer.removeClass("btn-active");
                $peopleLinkContainer.removeClass("btn-active");
                $("#view-contact #cases-link").removeClass("btn-active");
                $calllogContainer.addClass("btn-active");
                break;
            case "Case":
                $homeLink.removeClass("btn-active");
                $dealsLinkContainer.removeClass("btn-active");
                $tasksLinkContainer.removeClass("btn-active");
                $notesLinkContainer.removeClass("btn-active");
                $peopleLinkContainer.removeClass("btn-active");
                $("#view-contact #cases-link").addClass("btn-active");

        }
    };

    self.bindElementControls = function () {
        $(document).on('click', '#people-link', self.showPeople);
        $(document).on('click', '#info-link', self.showGeneral);
        $(document).on('click', '#feed-link', self.showFeed);
        $(document).on('click', '#deals-link', self.showDeals);
        $(document).on('click', '#tasks-link', self.showTasks);
        $(document).on('click', '#notes-link', self.showNotes);
        $(document).on('click', '#call-log-link', self.showCallLog);
        $(document).on('click', '#view-contact #cases-link', self.showCases);
        $(document).on('change', "#view-contact #filter-case-type", self.filterCase);
        $(document).on('click', '#contact-phone-list .call', self.callContact);
        $(document).on('click', '#contact-web-adress-list .web', self.openWebAddress);
        $(document).on('change', '#filter-contact-task-type', self.filterTasks);
        $(document).on('change', '#filter-deal-type', self.filterDeal);
        $(document).on('click', '#favorite-contact-action', self.favoriteContactEvent);
        $(document).on('click', '#delete-contact', self.deleteEvent);
        $(document).on('click', '#back-link', self.goBackEvent);
        $(document).on('click', '#view-contact-tasks-list .task-item', self.taskItemEvent);
        $(document).on('click', '#view-contact-tasks-list .assignedTask', self.completeTaskEvent);
        $(document).on('click', '#view-contact-tasks-list .createdTask', self.completeTaskEvent);
        $(document).on('click', '#view-contact-tasks-list .completedTask', self.completeTaskEvent);
        $(document).on('click', '#view-contact-tasks-list .canceledTask', function () {
            alert("Status change is not allowed!");
        });
        $(document).on('click', '#view-contact-tasks-list .inprogressTask', self.completeTaskEvent);
//        $(document).on('taphold', '#view-contact-tasks-list .task-item', self.deleteTaskItem);
        $(document).on('click', '#add-link', self.addEvent);
        $(document).on('click', '#view-contact-deals-list .deals-item', self.dealItemEvent);
        $(document).on('click', '#view-contact-cases-list .case-item', self.caseItemEvent);
        $(document).on('click', '#edit-contact-action', self.editEvent);
        $(document).on('click', '#view-contact .float-add-action', self.editEvent);
        $(document).on('click', '#view-contact-people-list .contact-people', self.peopleItemEvent);
        $(document).on('click', '#view-contact #company-name', self.openCompany);
        $(document).on('click', '#view-contact-notes-list .note', self.noteItemEvent);
//        $(document).on('click', '#add-contact-to-phone', self.viewContactAddToPhoneEvent);
//        $(document).on('click', '#avatar', self.addAvatarOnContact);
        $(document).on('click', '#avatar', self.openContactAvatarPopup);
        $(document).on('click', '#choose-from-file', self.browseProfileImage);
        $(document).on('click', '#photo-picture', function () {
            self.captureAndroidImage();
        });
        $(document).on('click', '#add-contact', self.viewContactAddToPhoneEvent);
        $(document).on('click', '#add-person-to-company #add-person', self.addPerson);
        $(document).on('click', '#add-person-to-company #add-person-from-phone', self.addPersonFromPhone);
        $(document).on('click', '#view-contact-feed-list li', DashboardFunctions.itemEvent);
        $(document).on('click', '#contact-more-link', self.openContactOptionsPopup);
        $(document).on('click', '#view-contact-deals-content .favorite-event', DealFunctions.eventFavorite);
        $(document).on('click', '#view-contact-cases-content .favorite-event', CaseFunctions.eventFavorite);
        $(document).on('click', '#view-contact-tasks-content .favorite-event', TaskFunctions.eventFavorite);

        $("body").on("swipeup", '#' + $.mobile.activePage.attr('id'), self.onPullUp);
        $("body").on("swipedown", '#' + $.mobile.activePage.attr('id'), self.onPullDown);

        $("body").on("scrollstart", '#' + $.mobile.activePage.attr('id'), function () {
            $("body").off("swipeup", '#' + $.mobile.activePage.attr('id'));
            $("body").off("swipedown", '#' + $.mobile.activePage.attr('id'));
        });

        $("body").on("scrollend", '#' + $.mobile.activePage.attr('id'), function () {
            $("body").on("swipeup", '#' + $.mobile.activePage.attr('id'), self.onPullUp);
            $("body").on("swipedown", '#' + $.mobile.activePage.attr('id'), self.onPullDown);
        });

        $('#view-contact .popup-menu-backdrop').on('click', function () {
            $('#view-contact .advanced-menu').hide();
            $(this).hide();
        });

        $("body").on('swipeleft', "#" + $.mobile.activePage.attr('id'), self.contactSwipeLeftEvent);
        $("body").on('swiperight', "#" + $.mobile.activePage.attr('id'), self.contactSwipeRightEvent);
        $(document).on("click", "#view-contact .childTasks", self.getChildTasks);
        $(document).on("click", "#view-contact .task-due-date-change", self.changeDueDateEvent);
        $(document).on("click", "#view-contact .comment-container", self.showNoteComments);
        $(document).on('click', '#view-contact .child-task-item', self.navigateToChildTask);
        $(document).on('click', '#view-contact .load-task-child-btn', self.loadChildTaskEvent);
        $(document).on('click', '#view-contact .view-contact-visibility', self.viewItemVisibleToggle);
        $(document).on('click', '#view-contact .task-list-icons', self.changeEventDueDateChildTask);
        $(document).on('click', '#view-contact .add-new-permission-user', self.changePermission);
        $(document).on('click', '#view-contact .visible-user-item', self.removePersonPermission);
    };

    self.unbindElementControls = function () {
        $(document).off('click', '#people-link');
        $(document).off('click', '#info-link');
        $(document).off('click', '#contact-web-adress-list .web');
        $(document).off('click', '#deals-link');
        $(document).off('click', '#feed-link');
        $(document).off('click', '#tasks-link');
        $(document).off('click', '#notes-link');
        $(document).off('click', '#call-log-link');
        $(document).off('click', '#view-contact #cases-link');
        $(document).off('change', "#view-contact #filter-case-type");
        $(document).off('click', '#contact-phone-list .call');
        $(document).off('click', '#delete-contact');
        $(document).off('click', '#back-link');
        $(document).off('change', '#filter-contact-task-type');
        $(document).off('change', '#filter-deal-type');
        $(document).off('click', '#view-contact-tasks-list .task-item');
        $(document).off('click', '#view-contact-tasks-list .assignedTask');
        $(document).off('click', '#view-contact-tasks-list .createdTask');
        $(document).off('click', '#view-contact-tasks-list .completedTask');
        $(document).off('click', '#view-contact-tasks-list .canceledTask');
        $(document).off('click', '#view-contact-tasks-list .inprogressTask');
        $(document).off('click', '#view-contact .float-add-action');
//        $(document).off('taphold', '#view-contact-tasks-list .task-item');
        $(document).off('click', '#add-link');
        $(document).off('click', '#view-contact-deals-list .deals-item');
        $(document).off('click', '#view-contact-cases-list .case-item');
        $(document).off('click', '#edit-contact-action');

        $(document).off('click', '#view-contact-people-list .contact-people');
//        $(document).off('click', '#add-contact-to-phone');
        $(document).off('click', '#avatar');
        $(document).off('click', '#choose-from-file');
        $(document).off('click', '#photo-picture');
        $(document).off('click', '#view-contact #company-name');
        $(document).off('click', '#add-contact');
        $(document).off('click', '#favorite-contact-action');
        $(document).off('click', '#add-person-to-company #add-person');
        $(document).off('click', '#add-person-to-company #add-person-from-phone');
        $(document).off('click', '#view-contact-feed-list li');
        $(document).off('click', '#view-contact-notes-list .note');
        $(document).off('click', '#contact-more-link');
        $(document).off('click', '#view-contact-deals-content .favorite-event');
        $(document).off('click', '#view-contact-cases-content .favorite-event');

        $("body").off("swipeup", '#' + $.mobile.activePage.attr('id'));
        $("body").off("swipedown", '#' + $.mobile.activePage.attr('id'));
        $("body").off("scrollstart", '#' + $.mobile.activePage.attr('id'));
        $("body").off("scrollend", '#' + $.mobile.activePage.attr('id'));
        $('#view-contact .popup-menu-backdrop').off('click');
        $("body").off('swipeleft', "#" + $.mobile.activePage.attr('id'));
        $("body").off('swiperight', "#" + $.mobile.activePage.attr('id'));
        $(document).off("click", "#view-contact .childTasks");
        $(document).off("click", "#view-contact .task-due-date-change");
        $(document).off("click", "#view-contact .comment-container");
        $(document).off('click', '#view-contact .child-task-item');
        $(document).off('click', '#view-contact .load-task-child-btn');
        isPeopleList = false;
        caseStartPage = 0;
        $(document).off('click', '#view-contact .view-contact-visibility');
        $(document).off('click', '#view-contact .task-list-icons');
        $(document).off('click', '#view-contact-tasks-content .favorite-event');
        $(document).off('click', '#view-contact .add-new-permission-user');
        $(document).off('click', '#view-contact .visible-user-item');
    };

    self.removePersonPermission = function() {
      var identity = $(this).attr('data-identity');
      PermissionController.removePermissionFromObject(identity, contactObj, function(success){
        if (success) {
          $('.visible-user-item[data-identity=' + identity +']').remove();
          var visibleTo = [];
          for (var i = 0, max = contactObj['visible-to'].length; i < max; i++) {
              if (contactObj['visible-to'][i].identity != identity) {
                visibleTo.push(contactObj['visible-to'][i]);
              }
          }
          contactObj['visible-to'] = visibleTo;
        }
      });
    };

    self.changeEventDueDateChildTask = function(e) {
        var idTask = $(this).attr("taskid");
        var dueDate = $(this).attr("duedate");
        var created = $(this).attr("created");
        var displayName = $(this).attr("displayName");
        var parent = {
          url: "viewContact",
          controller: ViewContactFunctions,
          param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}
        };
        var params = null;
        if ($(this).hasClass('md-flag')) {
            params = {
                url: "changeStatus",
                param: {
                  parentId: idTask,
                  parentType: "Task"
                }
            };
        } else if ($(this).hasClass('md-event')) {
          params = {
              url: "changeDueDate",
              param: {
                'taskId': idTask,
                'dueDate': dueDate
              }
          };
        } else if ($(this).hasClass('md-access-time')) {
          params = {
            url: "effort",
            param: {
              'displayName':  displayName,
              'relatedCreationDate' : created,
              'relatedType' : "Task",
              'relatedId' : idTask
            }
          };
        }
        gotoPage(params, parent);
        e.stopPropagation();
    }


    self.viewItemVisibleToggle =  function (event) {
          $('html, body').animate({scrollTop: $(document).height()}, 'slow');
          $("i", this).toggleClass("md-keyboard-arrow-up md-keyboard-arrow-down");
          $('#' + $(this).attr('container')).toggleClass('hide');
    };

    self.favoriteContactEvent = function() {
        var type = contactType[0].toUpperCase() + contactType.slice(1, contactType.lengh);
        var isFavorite = $('#favorite-contact-action > span.popup-menu-item').hasClass("contact-favorite-star");
        var controller = PeopleController;
        var objectSubtype;
        if ("Company" == type) {
            controller = CompanyController;
        } else if ("Person" == type) {
            if (objectSubtype) {
               controller = PhoneContactController
            }
        }

        controller.findById(contactId, function(item){
            if (isFavorite) {
                 FavoriteController.findByObjectIdDB(contactId , function(data){
                    if (data[0]) {
                        FavoriteController.removeFavorite(data[0].id, function(){
                            $('#favorite-contact-action > span.popup-menu-item').toggleClass("contact-favorite-star");
                            $('#view-contact .popup-menu-backdrop').hide();
                            $('#view-contact .advanced-menu').hide();
                        });
                    }
                 });
            } else {
                if (item.company) {
                    item = item.company;
                }
                FavoriteController.save(type, item[0], function(){
                    $('#favorite-contact-action > span.popup-menu-item').toggleClass("contact-favorite-star");
                    $('#view-contact .popup-menu-backdrop').hide();
                    $('#view-contact .advanced-menu').hide();
                });
            }
        });
    }

    self.changeDueDateEvent = function () {
        var idTask = $(this).attr("taskid");
        var dueDate = $(this).attr("duedate");
        gotoPage({
            url: "changeDueDate",
            controller: ChangeDueDateFunctions,
            isModal: true,
            param: {taskId: idTask, dueDate: dueDate}
        },
        {url: "viewContact", controller: ViewContactFunctions, param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
    };


    self.changePermission = function(){
        gotoPage(
          {url: "changePermission", param: {"id": contactObj.id.text, type: contactObj.objectType}},
          {url: "viewContact", controller: ViewContactFunctions, param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}}
        );
    };

    self.getChildTasks = function () {
        $("i", this).toggleClass("md-expand-more md-expand-less");
        var parentId = $(this).attr("parentId");
        $("ul[id='" + parentId + "']").attr('data-pageCount', 1);
        if (connection) {
            var request = {objectType: "Task", immediateParent: new ObjectId(parentId)};
            ClientAPI.findPaged(request, [["dueDate", 1]], 1, offset, function (err, items) {
                if (items && items.length > 0) {
                    var tasks = [];
                    for (var i = 0; i < items.length; i++) {
                        tasks.push(TaskController.encodeItem(items[i]));
                    }
                    TaskFunctions.drawSimpleTaskListView(parentId, tasks);
                    if (tasks.length < offset) {
                        $("ul[id='" + parentId + "'] .load-task-child-btn").remove();
                    }
                    for (var i = 0; i < tasks.length; i++) {
                        (function (num) {
                            ClientAPI.findCount({
                                objectType: "Task",
                                immediateParent: new ObjectId(tasks[num].id.text)
                            },
                                    function (err, data) {
                                        if (data == 0) {
                                            $("a[parentId='" + tasks[num].id.text + "']").remove();
                                        } else {
                                            $("a[parentId='" + tasks[num].id.text + "']").append(" (" + data + ")");
                                        }
                                    });
                        })(i);
                    }
                    $("#view-contact ul [id='" + parentId + "']").toggle();
                }
            });
        } else {
            db.selectByQuery('SELECT * FROM TASK WHERE [recording-id] = ? AND [recording-type] = ? LIMIT ?, ?', [getTextTypeObject(parentId, 'integer'), "Task", 0, offset], 'task', function (items) {
                TaskFunctions.drawSimpleTaskListView(parentId, items);
                $("ul[id='" + parentId + "'] .load-task-child-btn").remove();
                for (var i = 0; i < items.length; i++) {
                    (function (num) {
                        db.selectByQuery('SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "recording-id" = ? AND "recording-type" = ?',
                                [getTextTypeObject(items[num].id.text, 'integer'), "Task"], models.taskDBModel.name, function (data) {
                            if (data[0]['count(*)'] == 0) {
                                $("a[parentId='" + items[num].id.text + "']").remove();
                            } else {
                                $("a[parentId='" + items[num].id.text + "']").append(" (" + data[0]['count(*)'] + ")");
                            }
                        });
                    })(i);
                }
                $("#view-contact ul [id='" + parentId + "']").toggle();
            });
        }
    };

    self.contactSwipeLeftEvent = function () {
        if (contactObjects && contactObjects.length > 1) {
            currentContactIndex++;
            //currentContactIndex = (currentContactIndex > contactObjects.length -1) ? 0 : currentContactIndex;
            if (currentContactIndex > contactObjects.length - 1) {
                if (isPeopleList || isRecentContact) {
                    currentContactIndex = 0;
                    contactId = contactObjects[currentContactIndex].id;
                    contactType = contactObjects[currentContactIndex].type.toLowerCase();
                    self.init();
                } else {
                    if (contactType.toLowerCase() == "person" || contactType.toLowerCase() == "people") {
                        var request = {objectType: "Person", identity_id: {$exists: false}};
                    } else if (contactType.toLowerCase() == "company") {
                        request = {objectType: "Company"};
                    }
                    var sort = [
                        ["modificatioDate", -1]
                    ];
                    if (connection) {
                        ClientAPI.findPaged(request, sort, listStart, offset, function (err, items) {
                            if (!err) {
                                if (items.length == 0) {
                                    currentContactIndex = 0;
                                }
                                for (var i = 0; i < items.length; i++) {
                                    var tempObject = {};
                                    tempObject.id = items[i]["_id"];
                                    tempObject.type = items[i].objectType.toLowerCase();
                                    contactObjects.push(tempObject);
                                }
                                listStart++;
                                contactId = contactObjects[currentContactIndex].id;
                                contactType = contactObjects[currentContactIndex].type.toLowerCase();
                                self.init();
                            } else {
                                console.log("Greska: " + JSON.stringify(err));
                            }
                        });
                    } else {
                        currentContactIndex = 0;
                        contactId = contactObjects[currentContactIndex].id;
                        contactType = contactObjects[currentContactIndex].type.toLowerCase();
                        self.init();
                    }
                }
            } else {
                contactId = contactObjects[currentContactIndex].id;
                contactType = contactObjects[currentContactIndex].type.toLowerCase();
                self.init();
            }
        }
    };

    self.contactSwipeRightEvent = function () {
        console.log("Ulazak u swipe right event");
        if (contactObjects && contactObjects.length > 1) {
            currentContactIndex--;
            currentContactIndex = (currentContactIndex < 0) ? (contactObjects.length - 1) : currentContactIndex;
            contactId = contactObjects[currentContactIndex].id;
            contactType = contactObjects[currentContactIndex].type.toLowerCase();
            self.init();
        }
    };

    self.openWebAddress = function () {
        var webAddress = $(this).attr("url");
        if (webAddress != null && webAddress !== "") {
            if (navigator.userAgent.match(/(iPad|iPhone)/)) {
                window.open(webAddress, '_system');
            } else {
                window.open(webAddress, '_blank', 'location=yes');
            }
        }
    };

    self.openContactAvatarPopup = function () {
        if (setProfile) {
            $("#contact-avatar-popup").popup("open");
            $("#contact-avatar-popup").popup("reposition", {y: 200});
        } else {
            alert("Unable to change user profil!");
        }
    };

    self.openContactOptionsPopup = function () {
        $('#view-contact .advanced-menu').slideToggle('4000', 'swing');
        $('#view-contact .popup-menu-backdrop').toggle();
        $('#view-contact .advanced-menu').css('z-index', '20000');
    };

    self.onPullDown = function () {
        var activeTab = $('p[class*="-current"]', '#' + $.mobile.activePage.attr('id')).text();
        if (activeTab.startsWith("Note")) {
            if ($("#view-contact-notes-list li", '#' + $.mobile.activePage.attr('id')).first().visible()) {
                self.refreshEvent();
            }
        } else if (activeTab.startsWith("Task")) {
            if ($("#view-contact-tasks-list li", '#' + $.mobile.activePage.attr('id')).first().visible()) {
                self.refreshEvent();
            }
        } else if (activeTab.startsWith("Deal")) {
            if ($("#view-contact-deals-list li", '#' + $.mobile.activePage.attr('id')).first().visible()) {
                self.refreshEvent();
            }
        } else if (activeTab.startsWith("People")) {
            if ($("#view-contact-people-content li", '#' + $.mobile.activePage.attr('id')).first().visible()) {
                self.refreshEvent();
            }
        } else if (activeTab.startsWith("Call")) {
            if ($("#call-log-list li", '#' + $.mobile.activePage.attr('id')).first().visible()) {
                self.refreshEvent();
            }
        }
    };

    self.onPullUp = function () {
        var activeTab = self.tab.current;
        if (activeTab == "NOTE") {
            if ($("#view-contact-notes-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "TASK") {
            if ($("#view-contact-tasks-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "DEAL") {
            if ($("#view-contact-deals-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "PEOPLE") {
            if ($("#view-contact-people-content li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "CALL-LOG") {
            if ($("#call-log-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "FEED") {
            if ($("#view-contact-feed-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        } else if (activeTab == "CASE") {
            if ($("#view-contact-cases-list li", '#' + $.mobile.activePage.attr('id')).last().visible()) {
                self.listScrollLoadEvent();
            }
        }
    };

    self.goBackEvent = function () {
        var goBackInt = setTimeout(function () {
            goBack();
            clearInterval(goBackInt);
        }, 100);
//        var tempNavigation = navigationArray[navigationArray.length-1];
//        if (navigationParams.length > 1 && tempNavigation == "viewContact" && (navigationParams[navigationParams.length-1].objectType == "person" || navigationParams[navigationParams.length-1].objectType == "company")) {
//            navigationArray.pop();
//            var navigationObject =  navigationParams.pop();
//            navigationObject = navigationParams.pop();
//            ViewContactFunctions.sharedContactForOpen.item = navigationObject.object;
//            ViewContactFunctions.sharedContactForOpen.objectType = navigationObject.objectType;
//            navigationParams.push(navigationObject);
//            self.init();
//        } else {
//            // self.unbindElementControls();
//            var goBackInt = setTimeout(function() {
//                clearInterval(goBackInt);
//            }, 100);
//        }
    };

    self.initVisibility = function (people) {
        try {
            $titleBox.hide();
            $('#linkedin').hide();
            $linkedinLabel.hide();
            $('#background-info').hide();
            $('#contact-phone-list').hide();
            $('#contact-email-list').hide();
            $('#contact-address-list').hide();
            $('#contact-IM-list').hide();
            $('#contact-twitter-list').hide();
            $('#contact-web-adress-list').hide();
            $contactPhoneListLabel.hide();
            $contactEmailListLabel.hide();
            $contactAddressListLabel.hide();
            $contactIMListLabel.hide();
            $contactTwitterListLabel.hide();
            $contactWebAdressListLabel.hide();
            $peopleLinkContainer.hide();

            if (navigator.userAgent.match(/(iPad|iPhone)/)) {
                $("#call-log-link").hide();
            } else {
                $("#call-log-link").show();
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.cadisableElementsInOfflinellEvent -> \n" + e);
        }
    };

    self.setConnectionMode = function () {
        if (connection) {
        } else {
            self.disableElementsInOffline(ViewContactFunctions.tab.current);
        }
    };

    self.disableElementsInOffline = function (tab) {
        try {
            if (!connection) {
                if (tab != null) {
                    $refreshLink.hide();

                    if (tab == 'GENERAL' || tab == "CALL-LOG") {
                        $addLink.hide();
                    } else {
                        $addLink.show();
                    }
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.disableElementsInOffline -> \n" + e);
        }
    };

    self.showTasks = function () {
        $('#view-contact .filter-task-container').show();
        if (self.isUser) {
            $("#filter-contact-task-type option[value='filter-my-upcoming-tasks']").hide();
        } else {
            $("#filter-contact-task-type option[value='filter-my-upcoming-tasks']").show();
        }
        self.filterTasks();
        $viewContactCaseContent.hide();
        self.tab.current = 'TASK';
        self.activateTab("Task");
        $("#" + pageId + ' .download-icon').hide();

        //menu
        $addLink.show();
        $refreshLink.show();
        $contactMoreLink.hide();
        $('#second-navigation-container').hide();
        //content
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.show();
        $viewContactDealsContent.hide();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        $("#view-contact #view-contact-case-content").hide();

        self.disableElementsInOffline(self.tab.current);
        caseStartPage = 0;
    };

    self.showDeals = function () {
        $("#view-contact .filter-deal-container").show();
        self.tab.current = "DEAL";
        self.activateTab("Deal");

        $("#" + pageId + ' .download-icon').hide();

        //menu
        $addLink.show();
        $refreshLink.show();
        $contactMoreLink.hide();
        $('#second-navigation-container').hide();

        //content
        $viewContactCaseContent.hide();
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.hide();
        $viewContactDealsContent.show();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        $("#view-contact #view-contact-case-content").hide();
        self.disableElementsInOffline(self.tab.current);
        caseStartPage = 0;
        self.filterDeal();
    };

    self.showCases = function () {
        $("#view-contact .filter-case-container").show();
        self.tab.current = 'CASE';
        self.activateTab("Case");
        $("#view-contact #view-contact-case-content").show();
        $viewContactDealsContent.hide();
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.hide();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        $contactMoreLink.hide();
        $addLink.show();
        self.disableElementsInOffline(self.tab.current);
        self.filterCase();
        $viewContactCaseContent.show();
        caseStartPage = 0;
    };

    self.showNotes = function () {
        ViewNoteFunctions.drawListParams['view-contact-notes-list'] = {
            'start': 0,
            'offset': offset
        };
        caseStartPage = 0;
        self.loadNoteList();
        self.tab.current = 'NOTE';
        $("#" + pageId + ' .download-icon').hide();


        self.activateTab("Note");



        //menu
        $contactMoreLink.hide();
        if (!self.isUser) {
            $addLink.show();
        } else {
            $addLink.hide();
        }


        $refreshLink.show();
        $viewContactCaseContent.hide();
        $("#view-contact #view-contact-case-content").hide();
        $('#second-navigation-container').hide();
        //content
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.show();
        $viewContactTasksContent.hide();
        $viewContactDealsContent.hide();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        self.disableElementsInOffline(self.tab.current);
    };

    self.showCallLog = function () {
        self.tab.current = 'CALL-LOG';
        self.activateTab("Call Log");

        $("#" + pageId + ' .download-icon').hide();

        //menu
        $addLink.hide();
        $refreshLink.hide();
        $contactMoreLink.hide();

        //content
        $viewContactCaseContent.hide();
        $("#view-contact #view-contact-case-content").hide();
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.hide();
        $viewContactDealsContent.hide();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.show();
        $viewContactFeedContent.hide();
        $('#second-navigation-container').hide();
        self.loadCallLog();
        self.disableElementsInOffline(self.tab.current);
    };

    self.showGeneral = function () {
        self.tab.current = 'GENERAL';

        self.activateTab("Home");

        $("#" + pageId + ' .download-icon').show();
        $("#view-contact #view-contact-case-content").hide();
        $viewContactCaseContent.hide();
        //menu
        $addLink.hide();
        $refreshLink.hide();
        if (!self.isUser) {
            $contactMoreLink.show();
        } else {
            $contactMoreLink.hide();
        }

        $('#second-navigation-container').show();
        //content
        $viewContactGeneralContent.show();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.hide();
        $viewContactDealsContent.hide();
        $viewContactPeopleContent.hide();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        self.disableElementsInOffline(self.tab.current);

        if (ViewContactFunctions.isUser) {
            $('#second-navigation-container').hide();
        } else {
            $('#second-navigation-container').show();
        }

        self.hideElementsForPhoneContact();
        caseStartPage = 0;
    };

    self.showPeople = function () {
        self.tab.current = 'PEOPLE';
        self.activateTab("People");

        $("#" + pageId + ' .download-icon').hide();
        $("#" + pageId + ' #add-icon').show();
        //menu
        $addLink.show();
        $refreshLink.show();
        $('#second-navigation-container').hide();
        //content
        $viewContactCaseContent.hide();
        $("#view-contact #view-contact-case-content").hide();
        $viewContactGeneralContent.hide();
        $viewContactNotesContent.hide();
        $viewContactTasksContent.hide();
        $viewContactDealsContent.hide();
        $viewContactPeopleContent.show();
        $viewContactCallLogContent.hide();
        $viewContactFeedContent.hide();
        $contactMoreLink.hide();
        self.disableElementsInOffline(self.tab.current);
        self.loadPeople();
        caseStartPage = 0;
    };

    self.activeTab = function () {
        switch (self.tab.current) {
            case 'GENERAL':
                self.showGeneral();
                break;
            case 'DEAL':
                self.showDeals();
                break;
            case 'TASK':
                self.showTasks();
                break;
            case 'NOTE':
                self.showNotes();
                break;
            case 'FEED':
                self.showFeed();
                break;
            case 'PEOPLE':
                self.showPeople();
                break;
            case 'CALL-LOG':
                self.showCallLog();
                break;
            case "CASE":
                self.showCases();
                break;
        }
    };

    self.loadData = function () {
        try {
            self.initVisibility();
            self.loadHeader();

            if (contactObj.objectType == "Company") {
                $peopleLinkContainer.show();
                self.loadCompanyGeneral();
            } else {
                self.loadPersonGeneral();
            }

            if (self.isUser) {
                self.loadFeed(0);
            } else {
                $feedLink.hide();
            }
            self.loadDeals("Open");
            self.loadCases("Open");
            self.loadPeople();
            self.loadNote();
            self.loadTasks();
            self.loadCallLog();
            if (contactObj != null && contactObj.identity_id == null) {
                self.addToRecent(contactObj.objectType, contactObj.id.text, contactObj);
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadData -> \n" + e);
        }
        // workaround for page top padding
        $("[data-position='fixed']").fixedtoolbar('updatePagePadding');

    };

    self.hideElementsForPhoneContact = function () {
        if (contactObj.objectType == "phoneContact") {
            $peopleLinkContainer.hide();
            $taskLink.hide();
            $feedLink.hide();
            $noteLink.hide();
            $dealsLink.hide();
            $companyNameHeading.hide();
            $("#company-name").hide();
            $('#permission-info').hide();
        }
    };

    self.showFeed = function () {
        if (self.isUser) {
            //content
            $viewContactGeneralContent.hide();
            $viewContactNotesContent.hide();
            $viewContactTasksContent.hide();
            $viewContactDealsContent.hide();
            $viewContactPeopleContent.hide();
            $viewContactCallLogContent.hide();
            $viewContactFeedContent.show();
            $feedLink.show();
            $contactMoreLink.hide();
            self.tab.current = "FEED";
            $feedLink.removeClass('feed-icon').addClass('feed-icon-current');
            $('#second-navigation-container').hide();
        } else {
            $feedLink.hide();
        }
    };

    self.loadFeed = function (startParam) {
        if (connection) {
            if (self.isUser) {
                if (startParam != null) {
                    start = startParam;
                }
                if (connection) {
                    var append = false;
                    if (start != 0) {
                        append = true;
                    }
                    start++;
                    ClientAPI.getFeed({user_id: contactObj.identity_id}, [['eventDate', -1]], start, offset, function (err, data) {
                        if (!err) {
                            DashboardFunctions.drawFeed($feedList, data, append);
                        }
                    });
                }
            }
        } else {
            $feedList.html('<p class="center" style="margin-top: 20px;"><img src="' + rootPath + '/images/noWifi.png" onerror="imgError(this);"></p>'
                    + '<p style="text-align:center; font-size: 24px;">' + Messages.Login.offlineMessage + '</p></div>');
        }
    };

    self.loadPersonGeneral = function () {
        try {

            if ($("#view-contact #name").css("margin-left") == "50px" &&
                $("#view-contact #name").css("margin-bottom") == "17px") {
                $("#view-contact #name").css("margin-left", "10px");
                $("#view-contact #name").css("margin-bottom", "0px");
            }

            if (connection && contactObj['avatar-url'] != null) {
                self.loadAvatar(contactObj.id.text, contactObj['avatar-url']);
            }

            var title = contactObj.title;
            var tags = "";
            if (typeof contactObj.tags == 'object' && contactObj.tags != null) {
                if (contactObj.tags.tag.length > 1) {
                    for (var o in contactObj.tags.tag) {
                        tags += contactObj.tags.tag[o].name + " ";
                    }
                } else {
                    tags = contactObj.tags.tag.name;
                }
            }

            var firstName = typeof contactObj['first-name'] != 'object' ? contactObj['first-name'] : "";
            var lastName = typeof contactObj['last-name'] != 'object' ? contactObj['last-name'] : "";
            var company = typeof contactObj['company-name'] == 'string' ? contactObj['company-name'] : "";
            var companyId = '';

            $companyName.show();
            if (company || contactObj['contact-data']['addresses'].length > 0 || contactObj['contact-data']['email-addresses'].length > 0 || contactObj['contact-data']['instant-messengers'].length > 0
                    || contactObj['contact-data']['phone-numbers'].length > 0 || contactObj['contact-data']['web-addresses'].length > 0 || contactObj['contact-data']['twitter-accounts'].length > 0) {
                $("#contact-detail-container").show();
            }
            $companyNameHeading.show();
            if (company != null) {
                companyId = typeof contactObj['company-id'].text != 'undefined' ? contactObj['company-id'].text : "";
                if (companyId == "") {
                    $companyNameHeading.hide();
                    $companyName.hide();
                }
            } else {
                company = "";
                $companyNameHeading.hide();
                $companyName.hide();
            }
            $name.text(firstName + " " + lastName);
            $tags.text(tags);

            FavoriteController.findByObjectIdDB(contactObj.id.text, function(items){
                if (items && items.length > 0) {
                    $('#favorite-contact-action > span.popup-menu-item')
                    .addClass("contact-favorite-star");
                }
            });

            var companyHTML = "";
            var titleHTML = "";
            if (company != "") {
                $companyName.text(company);
                $companyName.attr("companyid", companyId);
            } else {
                $companyNameHeading.hide();
            }

            if (title != null && title != "" && typeof title == "string") {
                $title.show();
                $title.text(title);
                $titleBox.show();
            } else {
                $title.hide();
                $title.text("");
                $titleBox.hide();
            }

            if (contactObj.background != null && typeof contactObj.background == "string" && contactObj.background !== "") {
                $viewContactBackground.text(contactObj.background);
                $backgroundInfo.show();
                $backgroundInfoHeader.show();
            } else {
                $backgroundInfo.hide();
                $backgroundInfoHeader.hide();
            }

            $linkedin.text(contactObj['linkedin-url']);

            if (typeof contactObj['linkedin-url'] != 'object') {
                $linkedin.show();
                $linkedinLabel.show();
            }

            //kontakt
            self.drawAddresses(contactObj['contact-data']['addresses']);
            self.drawEmailAddresses(contactObj['contact-data']['email-addresses']);
            self.drawIMs(contactObj['contact-data']['instant-messengers']);
            self.drawPhoneNumbers(contactObj['contact-data']['phone-numbers']);
            self.drawWebAddresses(contactObj['contact-data']['web-addresses']);
            self.drawTwitter(contactObj['contact-data']['twitter-accounts']);
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadPersonGeneral -> \n" + e);
        }
    };

    self.loadCompanyGeneral = function () {
        try {
            if (connection && contactObj['avatar-url'] != null) {
                self.loadAvatar(contactObj.id.text, contactObj['avatar-url']);
            }

            var tags = "";

            if (typeof contactObj.tags == 'object' && contactObj.tags != null) {
                if (contactObj.tags.tag.length > 1) {
                    for (var o in contactObj.tags.tag) {
                        tags += contactObj.tags.tag[o].name + " ";
                    }
                } else {
                    tags = contactObj.tags.tag.name;
                }
            }

            var name = contactObj.name != '' ? contactObj.name : "";

            $name.text(name);
            $tags.text(tags);
            $companyName.hide();
            $companyNameHeading.hide();

            FavoriteController.findByObjectIdDB(contactObj.id.text, function(items){
                if (items && items.length > 0) {
                    $('#favorite-contact-action > span.popup-menu-item')
                    .addClass("contact-favorite-star");
                }
            });


            if (contactObj.background != null && contactObj.background !== "") {
                $viewContactBackground.text(contactObj.background);
                $backgroundInfo.show();
                $backgroundInfoHeader.show();
            } else {
                $backgroundInfo.hide();
                $backgroundInfoHeader.hide();
            }

            $titleBox.hide();
            $title.hide();
            $linkedin.hide();
            $linkedinLabel.hide();
            //kontakt
            self.drawAddresses(contactObj['contact-data']['addresses']);
            self.drawEmailAddresses(contactObj['contact-data']['email-addresses']);
            self.drawIMs(contactObj['contact-data']['instant-messengers']);
            self.drawPhoneNumbers(contactObj['contact-data']['phone-numbers']);
            self.drawWebAddresses(contactObj['contact-data']['web-addresses']);
            self.drawTwitter(contactObj['contact-data']['twitter-accounts']);
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.loadHeader = function () {
        try {
            var i, max;
            $titleHeader.hide();
            if (self.isUser) {
                $("#contact-title-el").hide();
                $titleHeader.show();
            } else {
                $("#contact-title-el").show();
            }

            var permission = contactObj['visible-to'];
            var htmlUser = PermissionController.drawPermissionForObject(contactObj);
            if (htmlUser != "") {
                $userContactPermissionList.empty().append(htmlUser);
                $viewContactPrivate.show();
            } else {
                $viewContactPrivate.hide();
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadHeader -> \n" + e);
        }
    };

    self.loadDeals = function (dealType) {
        if (connection) {
            var request = {};
            if (self.isUser) {
                request = {
                    objectType: "Deal",
                    owner: contactObj.identity_id
                };
                switch (dealType) {
                    case "Open":
                        request['$or'] = [{status: "ProposalSent"}, {status: "Negotiation"}, {status: "Analyses"}, {status: "Prospecting"}, {status: "Pending"}];
                        break;
                    case "Closed":
                        request['$or'] = [{status: "Won"}, {status: "Lost"}, {status: "Inactive"}];
                        break;
                    case "MyActive":
                        request['creator'] = window.localStorage.getItem('userId');
                        request['$or'] = [{status: "ProposalSent"}, {status: "Negotiation"}, {status: "Analyses"}, {status: "Prospecting"}, {status: "Pending"}];
                        break;
                    case "MyWon":
                        request['status'] = "Won";
                        request['creator'] = window.localStorage.getItem('userId');
                        break;
                    case "MyLost":
                        request['status'] = "Lost";
                        request['creator'] = window.localStorage.getItem('userId');
                        break;
                }
            } else {
                request = {
                    objectType: "Deal",
                    $and: [
                        {$and: [{immediateParent: new ObjectId(contactObj.id.text)}]}
                    ]
                };
                switch (dealType) {
                    case "Open":
                        request['$and'].push({$or: [{status: "ProposalSent"}, {status: "Negotiation"}, {status: "Analyses"}, {status: "Prospecting"}, {status: "Pending"}]});
                        break;
                    case "Closed":
                        request['$and'].push({$or: [{status: "Won"}, {status: "Lost"}, {status: "Inactive"}]});
                        break;
                    case "MyActive":
                        request['owner'] = window.localStorage.getItem('userId');
                        request['$and'].push({$or: [{status: "ProposalSent"}, {status: "Negotiation"}, {status: "Analyses"}, {status: "Prospecting"}, {status: "Pending"}]});
                        break;
                    case "MyWon":
                        request['$and'].push({$and: [{status: "Won"}, {owner: window.localStorage.getItem('userId')}]});
                        break;
                    case "MyLost":
                        request['$and'].push({$and: [{status: "Lost"}, {owner: window.localStorage.getItem('userId')}]});
                        break;
                }
            }
            ClientAPI.findCount(request, function (err, data) {
                $dealsLink.text('(' + data + ')');
                self.setConnectionMode();
            });
        } else {
            $dealsLink.text('(0)');
            var query;
            var queryData;
            if (self.isUser) {
                query = "SELECT COUNT(*) as countDeal FROM deal WHERE [owner-id]=?";
                queryData = [getTextTypeObject(contactObj.identity_id, 'integer')];
            } else {
                query = "SELECT COUNT(*) as countDeal FROM deal WHERE [party-id]=? AND status != ? AND status != ? AND status != ?";
                queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Won", "Lost", "Inactive"];
            }
            db.selectByQuery(query, queryData, models.dealDBModel.name, function (data) {
                $dealsLink.text('(' + data[0]['countDeal'] + ')');
            });
            self.setConnectionMode();
        }
    };

    self.loadCases = function (status) {
        if (connection) {
            var request = {};
            if (self.isUser) {
                request = {
                    objectType: "Project",
                    owner: contactObj.identity_id
                };
                if (status == "Open") {
                    request.status = {$nin: ["Closed"]};
                } else {
                    request.status = "Closed";
                }
            } else {
                request = {
                    objectType: "Project",
                    immediateParent: new ObjectId(contactObj.id.text)
                };
                if (status == "Open") {
                    request.status = {$nin: ["Closed"]};
                } else {
                    request.status = "Closed";
                }
            }
            ClientAPI.findCount(request, function (err, data) {
                $("#view-contact #cases-link-text").text('(' + data + ')');
                self.setConnectionMode();
            });
        } else {
            var query;
            var queryData;
            $("#view-contact #cases-link-text").text("(0)");
            if (self.isUser) {
                if (status == "Open") {
                    query = "SELECT COUNT(*) as caseCount FROM kase WHERE [owner-id]=? AND status != ?";
                } else {
                    query = "SELECT COUNT(*) as caseCount FROM kase WHERE [owner-id]=? AND status == ?";
                }
                queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Closed"];
            } else {
                if (status == "Open") {
                    query = "SELECT COUNT(*) as caseCount FROM kase WHERE [party-id] = ? AND status != ?";
                } else {
                    query = "SELECT COUNT(*) as caseCount FROM kase WHERE [party-id] = ? AND status == ?";
                }
                queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Closed"];
            }

            db.selectByQuery(query, queryData, "kase", function (data) {
                $("#view-contact #cases-link-text").text('(' + data[0]['caseCount'] + ')');
            });
        }
    };

    self.filterCase = function () {
        var caseFilterValue = $("#view-contact #filter-case-type").val();
        $caseList.empty();
        var request = {};
        switch (caseFilterValue) {
            case "filter-open-cases":
                self.loadCases("Open");
                CaseFunctions.drawListParams["view-contact-cases-list"] = {
                    'start': 0,
                    'type': "ALL_OPEN_CASES",
                    'searchValue': "",
                    'request': request,
                    'offset': offset,
                    'parentId': contactObj.id.text
                };
                if (connection) {
                    if (self.isUser) {
                        request = {
                            objectType: "Project",
                            owner: contactObj.identity_id,
                            $or: [{status: "Created"}, {status: "InProgress"}]
                        };
                    } else {
                        request = {
                            objectType: "Project",
                            $and: [
                                {$and: [{immediateParent: new ObjectId(contactObj.id.text)}]},
                                {$or: [{status: "Created"}, {status: "InProgress"}]}
                            ]
                        };
                    }
                    ClientAPI.findPaged(request, [['modificationDate', -1]], 0 / offset + 1, offset, function (err, data) {
                        if (!err) {
                            var result = [];
                            for (var i = 0, max = data.length; i < max; i++) {
                                result.push(CaseController.encodeItem(data[i]));
                            }
                            CaseFunctions.drawCaseListView('view-contact-cases-list', result, false);
                            CaseFunctions.getCasesTaskCount(result);
                        }
                    });
                } else {
                    var query;
                    var queryData = [];
                    if (self.isUser) {
                        query = "SELECT * FROM kase WHERE [owner-id] = ? AND status != ? LIMIT ?,?";
                        queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Closed", 0, offset];
                    } else {
                        query = "SELECT * FROM kase WHERE [party-id] = ? AND status != ? LIMIT ?,?";
                        queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Closed", 0, offset];
                    }
                    db.selectByQuery(query, queryData, "kase", function (data) {
                        CaseFunctions.drawCaseListView('view-contact-cases-list', data, false);
                    });

                }
                break;
            case "filter-closed-cases":
                self.loadCases("Closed");
                CaseFunctions.drawListParams["view-contact-cases-list"] = {
                    'start': 0,
                    'type': "ALL_CLOSED_CASES",
                    'searchValue': "",
                    'request': request,
                    'offset': offset,
                    'parentId': contactObj.id.text
                };
                if (connection) {
                    if (self.isUser) {
                        request = {
                            objectType: "Project",
                            owner: contactObj.identity_id,
                            status: "Closed"
                        };
                    } else {
                        request = {
                            objectType: "Project",
                            $and: [{status: "Closed"}, {immediateParent: new ObjectId(contactObj.id.text)}]
                        };
                    }
                    ClientAPI.findPaged(request, [['modificationDate', -1]], 0 / offset + 1, offset, function (err, data) {
                        if (!err) {
                            var result = [];
                            for (var i = 0, max = data.length; i < max; i++) {
                                result.push(CaseController.encodeItem(data[i]));
                            }
                            CaseFunctions.drawCaseListView('view-contact-cases-list', result, false);
                            CaseFunctions.getCasesTaskCount(result);
                        }
                    });
                } else {
                    var query;
                    var queryData = [];
                    if (self.isUser) {
                        query = "SELECT * FROM kase WHERE [owner-id] = ? AND status = ? LIMIT ?,?";
                        queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Closed", 0, offset];
                    } else {
                        query = "SELECT * FROM kase WHERE [party-id] = ? AND status = ? LIMIT ?,?";
                        queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Closed", 0, offset];
                    }
                    db.selectByQuery(query, queryData, "kase", function (data) {
                        CaseFunctions.drawCaseListView('view-contact-cases-list', data, false);
                    });
                }
                break;
        }
    };

    self.loadPeople = function () {
        if (!self.isUser) {
            $peopleLink.text('(0)');
            if (contactObj.objectType == 'Company') {
                if (connection) {
                    ClientAPI.find({query: {companies: {$elemMatch: {company: new ObjectId(contactObj.id.text)}}}, objectType: 'Person', population: 'companies.company'}, function (err, items) {
                        var data = [];
                        var peopleArray = [];
                        for (var i = 0, max = items.length; i < max; i++) {
                            data.push({people: PeopleController.encodeItem(items[i])});
                        }

                        $viewContactPeopleList.empty();
                        var ids = [];
                        if (data.length > 0) {
                            $peopleLink.text('(' + data.length + ')');
                        }
                        for (var obj in data) {
                            var peopleObj = {};
                            peopleObj.id = data[obj].people.id.text;
                            if (data[obj].people['avatar-url']) {
                                peopleObj.avatar = data[obj].people['avatar-url'];
                            }
                            peopleArray.push(peopleObj);
                            ids.push(data[obj].people.id.text);
                            //self.loadNotesForPeopleInCompany(data[obj].people.id.text);
                            var fname = typeof data[obj].people['first-name'] != 'object' ? data[obj].people['first-name'] + " " : "";
                            var lname = typeof data[obj].people['last-name'] != 'object' ? data[obj].people['last-name'] : "";
                            var name = fname + lname;
                            var tags = "";
                            if (data[obj].people.tags != null) {
                                if (data[obj].people.tags.objectType == "array" && data[obj].people.tags.tag.length > 1) {
                                    for (var o in data[obj].people.tags.tag) {
                                        if (data[obj].people.tags.tag[o].name != null) {
                                            tags += data[obj].people.tags.tag[o].name + " ";
                                        }
                                    }
                                } else {
                                    if (data[obj].people.tags.tag.name != null) {
                                        tags = data[obj].people.tags.tag.name;
                                    }
                                }
                            }
                            var title = typeof data[obj].people.title != "object" ? data[obj].people.title : "";
                            if (title && data[obj].people['company-name']) {
                                title += " / ";
                            }
                            var personCompany = data[obj].people['company-name'];
                            $viewContactPeopleList.append(
                                    '<li>'
                                    + '<a href="#" contact-people-id=' + data[obj].people.id.text + ' class="contact-people list-elem">'
                                    + '<div class="content-left">'
                                    + '<span class="avatar is-contact-image"><i class="md-person  md-3x"></i></span>'
                                    + '</div>'
                                    + '<div class="content-center" style="padding-left:60px; min-height:55px;">'
                                    + '<div class="title truncate">' + name + '</div>'
                                    + '<div class="subtitle">' + title + personCompany + '</div>'
                                    + '<div>' + tags + '</div>'
                                    + '</div>'
                                    + '</a></li>');
                        }

                        if ($viewContactPeopleList.find('li').length == 0) {
                            $viewContactPeopleList.append(emptyListHtml);
                        } else {
                            self.loadPersonAvatar(peopleArray);
                        }
                    });
                } else {
                    db.selectByColumn(models.peopleDBModel.name, 'company-id', getTextTypeObject(contactObj.id.text, 'integer'), function (data) {
                        $viewContactPeopleList.empty();
                        var ids = [];
                        var peopleArray = [];
                        if (data.length > 0) {
                            $peopleLink.text('(' + data.length + ')');
                        }
                        for (var obj in data) {
                            var peopleObj = {};
                            ids.push(data[obj].people.id.text);
                            peopleObj.id = data[obj].people.id.text;
                            if (data[obj].people['avatar-url']) {
                                peopleObj.avatar = data[obj].people['avatar-url'];
                            }
                            peopleArray.push(peopleObj);
                            //self.loadNotesForPeopleInCompany(data[obj].people.id.text);
                            var fname = typeof data[obj].people['first-name'] != 'object' ? data[obj].people['first-name'] + " " : "";
                            var lname = typeof data[obj].people['last-name'] != 'object' ? data[obj].people['last-name'] : "";
                            var name = fname + lname;
                            var tags = "";
                            if (data[obj].people.tags != null) {
                                if (data[obj].people.tags.objectType == "array" && data[obj].people.tags.tag.length > 1) {
                                    for (var o in data[obj].people.tags.tag) {
                                        if (data[obj].people.tags.tag[o].name != null) {
                                            tags += data[obj].people.tags.tag[o].name + " ";
                                        }
                                    }
                                } else {
                                    if (data[obj].people.tags.tag.name != null) {
                                        tags = data[obj].people.tags.tag.name;
                                    }
                                }
                            }
                            var title = typeof data[obj].people.title != "object" ? data[obj].people.title : "";

                            $viewContactPeopleList.append(
                                    '<li>'
                                    + '<a href="#" contact-people-id=' + data[obj].people.id.text + ' class="contact-people list-elem">'
                                    + '<div class="content-left">'
                                    + '<span class="avatar is-contact-image"><i class="md-person  md-3x"></i></span>'
                                    + '</div>'
                                    + '<div class="content-center" style="padding-left:60px; min-height:55px;">'
                                    + '<div class="title truncate">' + name + '</div>'
                                    + '<div class="subtitle">' + title + '</div>'
                                    + '<div>' + tags + '</div>'
                                    + '</div>'
                                    + '</a></li>');
                        }

                        if ($viewContactPeopleList.find('li').length == 0) {
                            $viewContactPeopleList.append(emptyListHtml);
                        } else {
                            self.loadPersonAvatar(peopleArray);
                        }
                    });
                }
            }
        }
    };

    self.loadPersonAvatar = function (people) {
        for (var i = 0; i < people.length; i++) {
            var avatar = null;
            if (connection && people[i].avatar) {
                avatar = window.localStorage.getItem('folderPath') + people[i].avatar;
            }
            if (avatar != null) {
                var fileUrl = ClientAPI.rootURL + '/api/db/downloadimg?objId=' + encodeURIComponent(people[i].id) + '&fieldName=' + encodeURIComponent('picture');
                $("a[contact-people-id='" + people[i].id + "'] .content-left").empty();
                $("a[contact-people-id='" + people[i].id + "'] .content-left").append('<div class="content-left-avatar" avatar_path="' + avatar + '"width:42px; position: static;"><div class="content-avatar is-profile-pic" style="background-image:url(' + fileUrl + ')">');
                $("a[contact-people-id='" + people[i].id + "'] .content-left .content-left-avatar").css("padding", "0px");
            }
        }
    };

    self.loadTasks = function () {
        if (connection) {
            var request = {objectType: "Task", status: {$nin: ['Completed', 'Canceled', 'Verified']}};
            if (self.isUser) {
                request.assignedTo = contactObj.identity_id;
            } else {
                request.immediateParent = new ObjectId(contactObj.id.text);
            }
            ClientAPI.findCount(request, function (err, data) {
                $taskLink.text('(' + data + ')');
                self.setConnectionMode();
            });
        } else {
            $noteLink.text('(0)');
            $taskLink.text('(0)');

            var query = {};
            var queryData = [];

            if (self.isUser) {
                query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "responsible-id" =? AND "status" != ? AND "status" != ? AND "status" != ?';
                queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Completed", "Canceled", "Verified"];
            } else {
                query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "subject-type" =? AND "subject-name"= ? AND "subject-id" = ? AND "status" != ? AND "status" != ? AND "status" != ?';
                queryData = ['Party', contactObj.name, getTextTypeObject(contactObj.id.text, 'integer'), "Completed", "Canceled", "Verified"];
            }

            db.selectByQuery(query, queryData, models.taskDBModel.name, function (data) {
                $taskLink.text('(' + data[0]['count(*)'] + ')');
                self.setConnectionMode();
            });
        }
    };

    self.loadNote = function () {
        if (connection) {
            var request = {};
            if (self.isUser) {
                request = {
                    objectType: "Note",
                    $or: [{immediateParent: new ObjectId(contactObj.id.text)}, {owner: contactObj.identity_id}]
                };
            } else {
                request = {$and: [{objectType: "Note"}, {$and: [
                                {immediateParent: new ObjectId(contactObj.id.text)}]}]
                };
            }
            ClientAPI.findCount(request, function (err, count) {
                if (count != null) {
                    $noteLink.text('(' + count + ')');
                } else {
                    $noteLink.text('(0)');
                }
            });
        } else {
            $noteLink.text('(0)');
        }
    };

    self.loadNoteList = function () {
        if (connection) {
            var request = {};
            if (self.isUser) {
                request = {
                    objectType: "Note",
                    $or: [{immediateParent: new ObjectId(contactObj.id.text)}, {owner: contactObj.identity_id}]
                };
            } else {
                request = {$and: [{objectType: "Note"},
                        {$and: [{immediateParent: new ObjectId(contactObj.id.text)}]}]
                };
            }

            ClientAPI.findPaged(request, [['modificationDate', -1]], 1, offset, function (err, data) {
                if (!err) {
                    var listNote = [];
                    for (var i = 0, max = data.length; i < max; i++) {
                        listNote.push(data[i]);
                    }
                    ViewNoteFunctions.drawNote('view-contact-notes-list', listNote, false);
                } else {
                    ViewNoteFunctions.drawNote('view-contact-notes-list', [], false);
                }
            });
        } else {
            ViewNoteFunctions.drawNote('view-contact-notes-list', [], false);
        }
    };

    self.loadCallLog = function () {
        if (navigator.userAgent.match(/(Android)/)) {
            $callLogList.empty();
            var numbers = [];
            var html = "";
            if (contactPhoneNumbers["phone-number"] != null) {
                if (contactPhoneNumbers["phone-number"].length > 1) {
                    for (var i = 0; i < contactPhoneNumbers["phone-number"].length; i++) {
                        numbers.push(contactPhoneNumbers["phone-number"][i].number.slice(
                                contactPhoneNumbers["phone-number"][i].number.length - 8,
                                contactPhoneNumbers["phone-number"][i].number.length));
                    }
                } else {
                    if (contactPhoneNumbers["phone-number"].number != null) {
                        numbers.push(contactPhoneNumbers["phone-number"].number.slice(
                                contactPhoneNumbers["phone-number"].number.length - 8,
                                contactPhoneNumbers["phone-number"].number.length));
                    }
                }

                window.plugins.callLog.all(function (data) {
                    var rows = data.Rows;
                    var i, max;
                    if (rows != null && rows.length > 0) {
                        for (i = 0, max = rows.length; i < max; i++) {
                            if (rows[i][1] != null && $.inArray(rows[i][1].slice(rows[i][1].length - 8, rows[i][1].length), numbers) > -1) {
                                var s = rows[i][0].split(':');
                                html += '<li><a href="#" class="' + rows[i][2] + '-icon">'
                                        + '<p>Duration: ' + rows[i][3] + '</p>'
                                        + '<p>Date: ' + s[0] + '</p>'
                                        + '<p>Time: ' + s[1] + ':' + s[2] + '</p>'
                                        + '<p>Type:' + rows[i][2] + '</p>'
                                        + '</a></li>';
                            }
                        }
                        if (html == "") {
                            html = '<li class="center">' + emptyList + '</li>';
                        }
                    } else {
                        html = emptyListHtml;
                    }
                }, onError);
            }
        }
    };

    self.addToRecent = function (type, id, object) {
        try {
            if (type.toLocaleLowerCase() == 'company') {
                db.selectByColumn(models.companiesDBModel.name, "id", getTextTypeObject(id, 'integer'), function (data) {
                    if (data != null) {
                        object['objectType'] = type;
                        var obj = [{"type": type, "id": id, "object": object}];
                        db.deleteObject(models.recentDBModel.name, "id", id, function () {
                            db.insert(models.recentDBModel.name, obj);
                        });
                    }
                });
            } else {
                db.selectByColumn(models.peopleDBModel.name, "id", getTextTypeObject(id, 'integer'), function (data) {
                    if (data != null) {
                        object['objectType'] = type;
                        var obj = [{"type": type, "id": id, "object": object}];
                        db.deleteObject(models.recentDBModel.name, "id", id, function () {
                            db.insert(models.recentDBModel.name, obj);
                        });
                    }
                });
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.addToRecent -> \n" + e);
        }
    };

    self.loadAvatar = function (objectId, pictureName) {
        try {
            if (pictureName != null) {
                var fileUrl = ClientAPI.rootURL + '/api/db/downloadimg?objId=' + encodeURIComponent(objectId) + '&fieldName=' + encodeURIComponent("picture") + '&v=' + new Date(contactObj['updated-at'].text).getTime();
                $(".avatar-container").empty();
                $(".avatar-container").html('<div id="avatar" class="content-left-avatar" style="width:42px; position: static;"><div class="content-avatar is-profile-pic" style="background-image: url(' + fileUrl + ')"></div></div>');
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawAddresses = function (contactAddressArray) {
        try {
            // addresses
            var addressHTML = "";
            $contactAddressList.empty();
            if (contactAddressArray['address'] != null) {
                if (contactAddressArray['address'].length > 1) {
                    for (var i = 0; i < contactAddressArray['address'].length; i++) {
                        if (contactAddressArray['address'][i].location != null) {
                            addressHTML += '<li class="contact-background-info-data">'
                                    + contactAddressArray['address'][i].location
                                    + '&nbsp;&nbsp;'
                                    + '<span class="bold">' + contactAddressArray['address'][i].street
                                    + ', ' + contactAddressArray['address'][i].country
                                    + '</span></li>';
                        }
                    }
                } else {
                    if (contactAddressArray['address'].location != null) {
                        addressHTML += '<li>'
                                + contactAddressArray['address'].location
                                + '&nbsp;&nbsp;'
                                + '<span class="bold">' + contactAddressArray['address'].street
                                + ', ' + contactAddressArray['address'].country
                                + '</span></li>';
                    }
                }
                if (addressHTML != "") {
                    $contactAddressList.append(addressHTML);
                    $contactAddressListLabel.show();
                    $contactAddressList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawEmailAddresses = function (contactEmailArray) {
        try {
            // email addresses
            var addressHTML = "";
            $contactEmailList.empty();

            if (contactEmailArray['emails'] != null) {
                contactEmailArray['email-address'] = contactEmailArray['emails'];
            }

            if (contactEmailArray['email-address'] != null) {
                if (contactEmailArray['email-address'].length > 1) {
                    for (var i = 0; i < contactEmailArray['email-address'].length; i++) {

                        if (contactEmailArray['email-address'][i].eMailAddress != null) {
                            contactEmailArray['email-address'][i].address = contactEmailArray['email-address'][i].eMailAddress;
                            contactEmailArray['email-address'][i].location = contactEmailArray['email-address'][i].eMailAddressType;
                        }

                        if (contactEmailArray['email-address'][i].address != null) {
                            addressHTML += '<li class="contact-background-info-data">'
                                    + contactEmailArray['email-address'][i].location
                                    + '&nbsp;&nbsp;'
                                    + '<span class="bold">' + contactEmailArray['email-address'][i].address
                                    + '</span>'
                                    + '<a class="email" href="mailto:' + contactEmailArray['email-address'][i].address + '"><i class="md-email md-2x" style="color:gray;"></i></a>'
                                    + '</li>';
                        }
                    }
                } else {

                    if (contactEmailArray['phone-number'] != null && contactEmailArray['phone-number'][0] != null && contactEmailArray['phone-number'][0].eMailAddress != null) {
                        contactEmailArray['phone-number'].address = contactEmailArray['phone-number'][0].eMailAddress;
                        contactEmailArray['phone-number'].location = contactEmailArray['phone-number'][0].eMailAddressType;
                    }

                    if (contactEmailArray['email-address'].address != null) {
                        addressHTML += '<li class="contact-background-info-data">'
                                + contactEmailArray['email-address'].location
                                + '&nbsp;&nbsp;'
                                + '<span class="bold">' + contactEmailArray['email-address'].address
                                + '</span>'
                                + '<a class="email" href="mailto:' + contactEmailArray['email-address'].address + '"><i class="md-email md-2x" style="color:gray;"></i></a>'
                                + '</li>';
                    }
                }
                if (addressHTML != "") {
                    $contactEmailList.append(addressHTML);
                    $contactEmailListLabel.show();
                    $contactEmailList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawIMs = function (contactIMArray) {
        try {
            $contactIMList.empty();
            var imsHTML = "";
            if (contactIMArray['instant-messenger'] != null) {
                if (contactIMArray['instant-messenger'].length > 1) {
                    for (var i = 0; i < contactIMArray['instant-messenger'].length; i++) {
                        if (contactIMArray['instant-messenger'][i].location != null) {
                            imsHTML += '<li class="contact-background-info-data">'
                                    + contactIMArray['instant-messenger'][i].location
                                    + '&nbsp;&nbsp;'
                                    + '<span class="bold">' + contactIMArray['instant-messenger'][i].address
                                    + ', ' + contactIMArray['instant-messenger'][i].protocol
                                    + '</span></li>';
                        }
                    }
                } else {
                    if (contactIMArray['instant-messenger'].location != null) {
                        imsHTML += '<li>'
                                + contactIMArray['instant-messenger'].location
                                + '&nbsp;&nbsp;'
                                + '<span class="bold">' + contactIMArray['instant-messenger'].address
                                + ', ' + contactIMArray['instant-messenger'].protocol
                                + '</span></li>';
                    }
                }
                if (imsHTML != "") {
                    $contactIMList.append(imsHTML);
                    $contactIMListLabel.show();
                    $contactIMList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawPhoneNumbers = function (contactPhoneNumberArray) {
        try {
            contactPhoneNumbers = contactPhoneNumberArray;
            var phoneHTML = "";
            $contactPhoneList.empty();

            if (contactPhoneNumberArray['phones'] != null) {
                contactPhoneNumberArray['phone-number'] = contactPhoneNumberArray['phones'];
            }

            if (contactPhoneNumberArray['phone-number'] != null) {
                if (contactPhoneNumberArray['phone-number'].length > 1) {
                    for (var i = 0; i < contactPhoneNumberArray['phone-number'].length; i++) {

                        if (contactPhoneNumberArray['phone-number'][i].phoneNumber != null) {
                            contactPhoneNumberArray['phone-number'][i].number = contactPhoneNumberArray['phone-number'][i].phoneNumber;
                            contactPhoneNumberArray['phone-number'][i].location = contactPhoneNumberArray['phone-number'][i].numberType;
                        }

                        if (contactPhoneNumberArray['phone-number'][i].location != null) {
                            phoneHTML += '<li class="contact-background-info-data">'
                                    + contactPhoneNumberArray['phone-number'][i].location
                                    + '&nbsp;&nbsp;'
                                    + '<span class="bold">' + contactPhoneNumberArray['phone-number'][i].number
                                    + '</span>'
                                    + '<a class="call" href="#" phonenumber="' + contactPhoneNumberArray['phone-number'][i].number + '"><i class="md-phone-in-talk  md-2x" style="color:gray;"></i></a>'
                                    //+ '<a class="call" href="tel:' + contactPhoneNumberArray['phone-number'][i].number + '"></a>'
                                    + '<a class="sms" href="sms:' + contactPhoneNumberArray['phone-number'][i].number + '"><i class="md-sms  md-2x" style="color:gray;"></i></a>'
                                    + '</li>';
                        }
                    }
                } else {
                    if (contactPhoneNumberArray['phone-number'] != null && contactPhoneNumberArray['phone-number'][0] != null && contactPhoneNumberArray['phone-number'][0].phoneNumber != null) {
                        contactPhoneNumberArray['phone-number'].number = contactPhoneNumberArray['phone-number'][0].phoneNumber;
                        contactPhoneNumberArray['phone-number'].location = contactPhoneNumberArray['phone-number'][0].numberType;
                    }

                    if (contactPhoneNumberArray['phone-number'].location != null) {
                        phoneHTML += '<li class="contact-background-info-data">'
                                + contactPhoneNumberArray['phone-number'].location
                                + '&nbsp;&nbsp;'
                                + '<span class="bold">' + contactPhoneNumberArray['phone-number'].number
                                + '</span>'
                                + '<a class="call" href="#" phonenumber="' + contactPhoneNumberArray['phone-number'].number + '"><i class="md-phone-in-talk  md-2x" style="color:gray;"></i></a>'
                                //+ '<a class="call" href="tel:' + contactPhoneNumberArray['phone-number'].number + '"></a>'
                                + '<a class="sms" href="sms:' + contactPhoneNumberArray['phone-number'].number + '"><i class="md-sms  md-2x" style="color:gray;"></i></a>'
                                + '</li>';
                    }

                }
                if (phoneHTML != "") {
                    $contactPhoneList.append(phoneHTML);
                    $contactPhoneListLabel.show();
                    $contactPhoneList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawTwitter = function (contactTwitterArray) {
        try {
            $contactTwitterList.empty();
            var twitterHTML = "";
            if (contactTwitterArray['twitter-account'] != null) {
                if (contactTwitterArray['twitter-account'].length > 1) {
                    for (var i = 0; i < contactTwitterArray['twitter-account'].length; i++) {
                        if (contactTwitterArray['twitter-account'][i].location != null) {
                            twitterHTML += '<li class="contact-background-info-data">'
                                    + contactTwitterArray['twitter-account'][i].location
                                    + '&nbsp;&nbsp;'
                                    + '<span class="bold">' + contactTwitterArray['twitter-account'][i].username
                                    + '</span></li>';
                        }
                    }
                } else {
                    if (contactTwitterArray['twitter-account'].location != null) {
                        twitterHTML += '<li>'
                                + contactTwitterArray['twitter-account'].location
                                + '&nbsp;&nbsp;'
                                + '<span class="bold">' + contactTwitterArray['twitter-account'].username
                                + '</span><li>';
                    }
                }
                if (twitterHTML != "") {
                    $contactTwitterList.append(twitterHTML);
                    $contactTwitterListLabel.show();
                    $contactTwitterList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.drawWebAddresses = function (contactWebArray) {
        try {
            $contactWebAdressList.empty();
            var webAddressHTML = "";
            if (contactWebArray['web-address'] != null) {
                if (contactWebArray['web-address'].length > 1) {
                    for (var i = 0; i < contactWebArray['web-address'].length; i++) {
                        webAddressHTML += '<li class="contact-background-info-data"><a url="' + contactWebArray['web-address'][i].URL + '" href="">' + contactWebArray['web-address'][i].urlType + '&nbsp;&nbsp;<span class="bold">' + contactWebArray['web-address'][i].URL + '</span>'
                                + '</a></li>';
                    }
                } else {
                    if (contactWebArray['web-address'].urlType != null) {
                        webAddressHTML += '<li class="contact-background-info-data"><a url="' + contactWebArray['web-address'].URL + '" href="">' + contactWebArray['web-address'].urlType + '&nbsp;&nbsp;<span class="bold">' + contactWebArray['web-address'].URL + '</span>'
                                + '</a></li>';
                    }
                }
                if (webAddressHTML != "") {
                    $contactWebAdressList.append(webAddressHTML);
                    $contactWebAdressListLabel.show();
                    $contactWebAdressList.show();
                }
            }
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    self.callContact = function () {
        try {
            var phoneNumber = $(this).attr('phonenumber');
            document.location.href = "tel:" + phoneNumber;
        } catch (e) {
            console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
        }
    };

    // self.callContact = function () {
    //     try {
    //         var phoneNumber = $(this).attr('phonenumber');
    //         var fullName = $('#name').text();
    //         if (connection) {
    //             window.plugins.SipPlugin.sipStatus(function (msg) {
    //                 if (JSON.parse(msg.sip)) {
    //                     var sipName = "";
    //                     if (contactObj["first-name"] && contactObj["last-name"]) {
    //                         sipName = contactObj["first-name"] + " " + contactObj["last-name"];
    //                     } else if (contactObj.name) {
    //                         sipName = contactObj.name;
    //                     }
    //                     MyGroupFunctions.call(phoneNumber, contactObj.id.text, contactObj.objectType, sipName);
    //                 } else {
    //                     document.location.href = "tel:" + phoneNumber;
    //                 }
    //             });
    //         } else {
    //             document.location.href = "tel:" + phoneNumber;
    //         }
    //     } catch (e) {
    //         console.log("ViewContactFunctions.js -> self.loadCompanyGeneral -> \n" + e);
    //     }
    // };

    self.openPrivate = function () {
        $permissionContactUsers.popup('open');
        $permissionContactUsers.popup("reposition", {y: 200});
    };

    self.deleteEvent = function () {
        $contactPopup.hide();
        $("#view-contact .popup-menu-backdrop").hide();
        var deleteMsg = "Do you want do delete contact ";

        if (contactObj.objectType == "Company") {
            deleteMsg += contactObj.name;
        } else {
            deleteMsg += contactObj["first-name"] + " " + contactObj["last-name"];
        }
        deleteMsg += "?";

        setTimeout(function () {
            showActionDialog(deleteMsg, "Yes", function () {
                if (contactObj.objectType == "Company") {
                    var indexForDelete = null;
                    CompanyController.delete(contactObj.id.text, function (data) {
                        if (data == 0) {
                            db.deleteObject(models.recentDBModel.name, "id", contactObj.id.text, null);
                            $("#contacts").remove();
                            self.goBackEvent();
                        } else {
                            alert(Messages.Contact.deleteMessageErr);
                        }
                    });
                } else {
                    PeopleController.delete(contactObj.id.text, function (data) {
                        if (data == 0) {
                            db.deleteObject(models.recentDBModel.name, "id", contactObj.id.text, null);
                            $("#contacts").remove();
                            self.goBackEvent();
                        } else {
                            alert(Messages.Contact.deleteMessageErr);
                        }
                    });
                }
            }, "No", function () {
            });
        }, 100);
    };


    self.filterTasks = function () {
        var type = $contactFilterTaskList.find('option:selected').val();
        if (type == null) {
            type = TaskType['CURRENT'];
            $contactFilterTaskList.find('option:selected').val(TaskType['CURRENT']).selectmenu('refresh');
        }
        var id;
        if (self.isUser) {
            id = contactObj.identity_id;
        } else {
            id = contactObj.id.text;
        }

        switch (type) {
            case TaskType['UPCOMING']:
                self.getCountOfTasks(type);
                TaskController.getTasksBySubjectIdAndType(id, "Party", 0, offset, 'Upcoming', self.isUser, function (tasks) {
                    TaskType['CURRENT'] = TaskType['UPCOMING'];
                    TaskFunctions.drawListParams['view-contact-tasks-list'] = {
                        'start': 0,
                        'frame': "",
                        'taskType': "Upcoming",
                        'offset': offset,
                        'parentId': contactObj.id.text
                    };
                    TaskFunctions.drawTaskListView('view-contact-tasks-list', tasks, "Upcoming", false);
                    self.setConnectionMode();
                });
                break;
            case TaskType['COMPLETED']:
                self.getCountOfTasks(type);
                TaskController.getTasksBySubjectIdAndType(id, "Party", 0, offset, 'Completed', self.isUser, function (tasks) {
                    TaskType['CURRENT'] = TaskType['COMPLETED'];
                    TaskFunctions.drawListParams['view-contact-tasks-list'] = {
                        'start': 0,
                        'frame': "",
                        'taskType': "Completed",
                        'offset': offset,
                        'parentId': contactObj.id.text
                    };
                    TaskFunctions.drawTaskListView('view-contact-tasks-list', tasks, "Completed", false);
                    self.setConnectionMode();
                });
                break;
            case TaskType['MYUPCOMING']:
                if (!self.isUser) {
                    self.getCountOfTasks(type);
                    contactObj.objectType = "Party";
                    TaskController.findMyUpcomingTaskForParentObject(contactObj, function(items){
                        TaskType['CURRENT'] = TaskType['MYUPCOMING'];
                        TaskFunctions.drawListParams['view-contact-tasks-list'] = {
                            'start': 0,
                            'frame': "",
                            'taskType': "MyUpcoming",
                            'offset': offset,
                            'parentId': contactObj.id.text
                        };
                        TaskFunctions.drawTaskListView('view-contact-tasks-list', items, false);
                        self.setConnectionMode();
                    });
                }
                break;
            case TaskType['RECENTLYADDED']:
                contactObj.objectType = "Party";
                TaskController.findRecentlyAdded(contactObj, function(items){
                    TaskType['CURRENT'] = TaskType['RECENTLYADDED'];
                    self.getCountOfTasks(type, items.length);
                    TaskFunctions.drawListParams['view-contact-tasks-list'] = {
                        'start': 0,
                        'frame': "",
                        'taskType': "Upcoming",
                        'offset': offset,
                        parentId: contactObj.id.text
                    };
                    TaskFunctions.drawTaskListView('view-contact-tasks-list', items, "Upcoming", false);
                    self.setConnectionMode();
                });
                break;
        }
    };

    self.getCountOfTasks = function (filterValue, count) {
        switch (filterValue) {
            case TaskType['UPCOMING']:
                if (connection) {
                    var request = {objectType: "Task", status: {$nin: ['Completed', 'Canceled', 'Verified']}};
                    if (self.isUser) {
                        request.assignedTo = contactObj.identity_id;
                    } else {
                        request.immediateParent = new ObjectId(contactObj.id.text);
                    }
                    ClientAPI.findCount(request, function (err, data) {
                        $taskLink.text('(' + data + ')');
                        self.setConnectionMode();
                    });
                } else {
                    $noteLink.text('(0)');
                    $taskLink.text('(0)');
                    var query = {};
                    var queryData = [];
                    if (self.isUser) {
                        query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "responsible-id" =? AND "status" != ? AND status != ? AND status != ?';
                        queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Completed", "Canceled", "Verified"];
                    } else {
                        query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "recording-id" = ? AND "status" != ? AND "status" != ? AND "status" != ?';
                        queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Completed", "Canceled", "Verified"];
                    }

                    db.selectByQuery(query, queryData, models.taskDBModel.name, function (data) {
                        $taskLink.text('(' + data[0]['count(*)'] + ')');
                        self.setConnectionMode();
                    });
                }
                break;
            case TaskType['COMPLETED']:
                if (connection) {
                    var request = {objectType: "Task", status: {$in: ["Completed", "Canceled", "Verified"]}};
                    if (self.isUser) {
                        request.assignedTo = contactObj.identity_id;
                    } else {
                        request.immediateParent = new ObjectId(contactObj.id.text);
                    }
                    ClientAPI.findCount(request, function (err, data) {
                        $taskLink.text('(' + data + ')');
                        self.setConnectionMode();
                    });
                } else {
                    $noteLink.text('(0)');
                    $taskLink.text('(0)');
                    var query = {};
                    var queryData = [];
                    if (self.isUser) {
                        query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "responsible-id" =? AND ("status" = ? OR "status" = ? OR "status" = ?)';
                        queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Completed", "Canceled", "Verified"];
                    } else {
                        query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE "subject-type" =? AND "subject-name"= ? AND "recording-id" = ? AND (status = ? OR status = ? OR status = ?)';
                        queryData = ['Party', contactObj.name, getTextTypeObject(contactObj.id.text, 'integer'), "Completed", "Canceled", "Verified"];
                    }

                    db.selectByQuery(query, queryData, models.taskDBModel.name, function (data) {
                        $taskLink.text('(' + data[0]['count(*)'] + ')');
                        self.setConnectionMode();
                    });
                }
                break;

            case TaskType['MYUPCOMING']:
                if (connection) {
                    var myTasksFilter = [{assignedTo: window.localStorage.getItem('userId')}, {
                            assignedTo: {$exists: false},
                            owner: window.localStorage.getItem('userId')
                        }, {assignedTo: {$type: 10}, owner: window.localStorage.getItem('userId')}];
                    var completedTasks = ["Completed", "Canceled", "Verified"];
                    var request = {
                        objectType: "Task",
                        immediateParent: new ObjectId(contactObj.id.text)
                    };
                    request.$or = myTasksFilter;
                    request.status = {$nin: completedTasks};
                    ClientAPI.findCount(request, function (err, data) {
                        $taskLink.text('(' + data + ')');
                        self.setConnectionMode();
                    });
                } else {
                    $noteLink.text('(0)');
                    $taskLink.text('(0)');
                    var query = {};
                    var queryData = [];
                    query = 'SELECT count(*) FROM ' + models.taskDBModel.name + ' WHERE status != ? AND status != ? AND status != ? AND "recording-id" = ? AND "responsible-id" = ?';
                    queryData = ['Completed', 'Canceled', 'Verified', getTextTypeObject(contactObj.id.text, 'integer'), getTextTypeObject(window.localStorage.getItem('userId'), 'integer')];
                    db.selectByQuery(query, queryData, models.taskDBModel.name, function (data) {
                        $taskLink.text('(' + data[0]['count(*)'] + ')');
                        self.setConnectionMode();
                    });
                }
                break;
                case TaskType['RECENTLYADDED']:
                $taskLink.text('(' + count + ')');
                break;
        }

    };

    self.drawFilter = function() {
      var html = "";
      if (VisibleDomainController.isDomainCTSales()) {
        html = '<option value="filter-active-deals" data-i18n="deal.active">Active</option>'
            + '<option value="filter-inactive-deals" data-i18n="deal.inactive">Inactive</option>'
            + '<option value="filter-my-won-deals" data-i18n="deal.myWon">My won</option>';
            $contactFilterDealList.empty().append(html).i18n();
            $contactFilterDealList.val('filter-active-deals').selectmenu('refresh');
      } else {
        html = '<option value="filter-open-deals" data-i18n="deal.openDeals" selected="selected"></option>'
            + '<option value="filter-closed-deals" data-i18n="deal.closedDeals"></option>'
            + '<option value="filter-my-active-deals" data-i18n="deal.myActive">My active (open)</option>'
            + '<option value="filter-my-won-deals" data-i18n="deal.myWon">My won deals</option>'
            + '<option value="filter-my-lost-deals" data-i18n="deal.myLost">My lost deals</option>';
            $contactFilterDealList.empty().append(html).i18n();
            $contactFilterDealList.val('filter-open-deals').selectmenu('refresh');
      }
      self.filterDeal();
    };

    self.filterDeal = function () {
      if (VisibleDomainController.isDomainCTSales()) {
        self.filterForCTSales();
      } else {
        self.filterForCtcee();
      }
    };

    self.filterForCtcee = function () {
        var newVal = $contactFilterDealList.find('option:selected').val();
        var listViewId = 'view-contact-deals-list';
        DealFunctions.drawListParams['view-contact-deals-list'] = {
            'start': 0,
            'status': "Pending",
            'searchValue': "",
            'offset': offset,
            parentId: contactObj.id.text
        };
        switch (newVal) {
            case "filter-open-deals":
                currentStatus = 'Open';
                self.loadDeals("Open");
                if (DealFunctions.drawListParams[listViewId] != null && DealFunctions.drawListParams[listViewId]['status'] != null) {
                    DealFunctions.drawListParams[listViewId]['status'] = currentStatus;
                }
                if (self.isUser) {
                    DealController.findDealByStatus(listViewId, contactObj.identity_id, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                } else {
                    DealController.findDealByStatus(listViewId, contactObj.id.text, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                }
                break;
            case "filter-my-won-deals":
                currentStatus = 'Won';
                self.loadDeals("MyWon");
                if (DealFunctions.drawListParams[listViewId] != null && DealFunctions.drawListParams[listViewId]['status'] != null) {
                    DealFunctions.drawListParams[listViewId]['status'] = currentStatus;
                    DealFunctions.drawListParams[listViewId]['owner'] = localStorage.getItem('userId');
                }

                if (self.isUser) {
                    DealController.findDealByStatus(listViewId, contactObj.identity_id, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                } else {
                    DealController.findDealByStatus(listViewId, contactObj.id.text, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                }
                break;
            case "filter-my-lost-deals":
                currentStatus = 'Lost';
                self.loadDeals("MyLost");
                if (DealFunctions.drawListParams[listViewId] != null && DealFunctions.drawListParams[listViewId]['status'] != null) {
                    DealFunctions.drawListParams[listViewId]['status'] = currentStatus;
                    DealFunctions.drawListParams[listViewId]['owner'] = localStorage.getItem('userId');
                }
                if (self.isUser) {
                    DealController.findDealByStatus(listViewId, contactObj.identity_id, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                } else {
                    DealController.findDealByStatus(listViewId, contactObj.id.text, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                }
                break;
            case "filter-my-active-deals":
                currentStatus = 'Active';
                self.loadDeals("MyActive");
                if (DealFunctions.drawListParams[listViewId] != null && DealFunctions.drawListParams[listViewId]['status'] != null) {
                    DealFunctions.drawListParams[listViewId]['status'] = currentStatus;
                    DealFunctions.drawListParams[listViewId]['owner'] = localStorage.getItem('userId');
                }
                if (self.isUser) {
                    DealController.findDealByStatus(listViewId, contactObj.identity_id, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                } else {
                    DealController.findDealByStatus(listViewId, contactObj.id.text, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                }
                break;
            case "filter-closed-deals":
                currentStatus = 'Closed';
                self.loadDeals("Closed");
                if (DealFunctions.drawListParams[listViewId] != null && DealFunctions.drawListParams[listViewId]['status'] != null) {
                    DealFunctions.drawListParams[listViewId]['status'] = currentStatus;
                }
                if (self.isUser) {
                    DealController.findDealByStatus(listViewId, contactObj.identity_id, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                } else {
                    DealController.findDealByStatus(listViewId, contactObj.id.text, self.isUser, function (data) {
                        DealFunctions.drawDealList(listViewId, data, false, 0);
                    });
                }
                break;
        }
    };

    self.filterForCTSales = function() {
      var id = null;
      var newVal = $contactFilterDealList.find('option:selected').val();
      var listViewId = 'view-contact-deals-list';
      if (!newVal) {
        newVal = "filter-active-deals";
      }
      DealFunctions.drawListParams[listViewId] = {
          'start': 0,
          'status': "Pending",
          'searchValue': "",
          'offset': offset,
          parentId: contactObj.id.text
      };
      var id = contactObj.identity_id || contactObj.id.text;
      DealFunctions.drawListParams[listViewId]['status'] = newVal;
      DealController.findDealByStatusCTSales(listViewId, id, self.isUser, function (data) {
          $dealsLink.text('(' + data.length + ')');
          DealFunctions.drawDealList(listViewId, data, false, 0);
      });
      $contactFilterDealList.i18n();
      $contactFilterDealList.val(newVal).selectmenu('refresh');
    };

    self.dealItemEvent = function (evt) {
        var dealId = $(evt.currentTarget).attr('dealId');
        var dealIds = [];
        $("#view-contact-deals-list").find(".deals-item").each(function () {
            dealIds.push($(this).attr("dealId"));
        });
        gotoPage({url: "viewDeal", param: {id: dealId, ids: dealIds, listParams: DealFunctions.drawListParams['view-contact-deals-list']}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
    };

    self.caseItemEvent = function () {
        var caseId = $(this).attr("caseId");
        var caseIds = [];
        $("#view-contact #view-contact-cases-list").find(".case-item").each(function () {
            caseIds.push($(this).attr("caseId"));
        });
        gotoPage({url: "viewCase", param: {caseId: caseId, caseIds: caseIds, listParams: CaseFunctions.drawListParams["view-contact-cases-list"]}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
    };

    self.taskItemEvent = function (evt) {
//        if (!tapholdActive) {
        var id = null;
        var ids = [];

        id = $(this).attr('taskId');
        $(document).find("#view-contact-tasks-list .task-item").each(function () {
            ids.push($(this).attr('taskId'));
        });

        gotoPage({url: "viewTask", param: {id: id, ids: ids, listParams: TaskFunctions.drawListParams['view-contact-tasks-list']}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
//        }
    };

//    self.deleteTaskItem = function() {
//        var taskId = $(this).attr('taskId');
//        tapholdActive = true;
//        setTimeout(function(){
//            tapholdActive = false;
//        }, 1000);
//
//        if (connection) {
//            showActionDialog(Messages.Task.deleteTaskMessage, "Yes", function() {
//                showLoadingIndikator();
//                TaskController.findById(taskId, function(data) {
//                    data = TaskController.encodeItem(data);
//                    var requestObject = {
//                        "taskid" : data.id.text,
//                        "body" : data.body
//                    };
//                    TaskController.deleteTask(data.id.text, function(data){
//                        if (data == 0) {
//                            db.selectSingleRecord(models.infoMessageDBModel.name, "body", requestObject, function(data) {
//                                if (data != null) {
//                                    var messageId = data.infoMessage._id;
//                                    db.deleteObject(models.infoMessageDBModel.name, "_id", messageId);
//                                    SipMessageSettingFunctions.setMessageStatus([{'messageid': messageId, 'status' : 5 }]);
//                                }
//                                self.refreshTask();
//                                hideLoadingIndikator();
//                            });
//                        } else {
//                            hideLoadingIndikator();
//                            alert(Messages.Task.deleteTaskMessageErr);
//                        }
//                    });
//                });
//            }, "No", function() {});
//        }
//    };

    self.completeTaskEvent = function () {
        var taskId = $(this).attr('taskId');
        gotoPage({url: "changeStatus", param: {parentId: taskId, parentType: "Task"}},
        {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
    };



    self.refreshTask = function () {
        self.filterTasks();
    };

    self.addEvent = function () {
        if (self.tab.current == "NOTE") {
            if (!self.isUser) {
                if (contactObj.objectType == 'Company') {
                    contactTypeTest = 'company';
                } else {
                    contactTypeTest = 'people';
                }

                gotoPage({url: "editNote", param: {parentId: contactObj.id.text, parentType: contactTypeTest, accessList: contactObj['visible-to']}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
            }
        } else if (self.tab.current == "TASK") {
            if (contactObj.objectType == 'Company') {
                contactTypeTest = 'company';
            } else {
                contactTypeTest = 'people';
            }
            if (self.isUser) {
                gotoPage({url: "editTask", param: {ownerId: contactObj.identity_id}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
            } else {
                gotoPage({url: "editTask", param: {parentId: contactObj.id.text, parentType: contactTypeTest, accessList: contactObj["visible-to"]}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
            }
        } else if (self.tab.current == "DEAL") {
            var parentName = "";
            if (contactObj.objectType == 'Company') {
                parentName = contactObj.name;
                contactTypeTest = 'company';
            } else {
                contactTypeTest = 'people';
                parentName = contactObj['first-name'] + " " + contactObj['last-name'];
            }
            if (!VisibleDomainController.isDomainCTSales()) {
              if (self.isUser) {
                  gotoPage({url: "editDeal", param: {ownerId: contactObj.identity_id}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
              } else {
                  gotoPage({url: "editDeal", param: {parentId: contactObj.id.text, parentType: contactTypeTest, parentName: parentName, accessList: contactObj["visible-to"]}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
              }
            }
        } else if (self.tab.current == "PEOPLE") {
          if (!VisibleDomainController.isDomainCTSales()) {
              $('#add-person-to-company').popup('open');
              $('#add-person-to-company').popup("reposition", {y: 200});
          }
        } else if (self.tab.current == "CASE") {
            var parentName = "";
            if (contactObj.objectType.toLowerCase() == "person" || contactObj.objectType.toLowerCase() == "people") {
                parentName = contactObj['first-name'] + " " + contactObj['last-name'];
            } else if (contactObj.objectType.toLowerCase() == "company") {
                parentName = contactObj['name'];
            }
            gotoPage({url: "editCase", param: {parentId: contactObj.id.text, parentType: contactObj.objectType, parentName: parentName, accessList: contactObj["visible-to"]}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
        }
    };

    self.addPerson = function () {
        sharedCompanyForAddPeople = contactObj;
        gotoPage({url: "editContact", param: {parentId: contactObj.id.text, parentName: contactObj.name, accessList: contactObj['visible-to']}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
    };

    self.addPersonFromPhone = function () {
        try {
            gotoPage({url: "contacts", param: {phoneContactParentId: contactObj.id.text, phoneContactParentAccessList: contactObj['visible-to'], filterVal: 'filter-phone-contacts'}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
        } catch (e) {
            console.log("Contact.js -> self.callEvent -> \n" + e);
        }
    };

    self.refreshEvent = function () {
        if (self.tab.current == "NOTE") {
            self.loadNoteList();
        } else if (self.tab.current == "TASK") {
            self.refreshTask();
        } else if (self.tab.current == "DEAL") {
            self.filterDeal();
        } else if (self.tab.current == "PEOPLE") {
            self.loadPeople();
        } else if (self.tab.current == "FEED") {
            self.loadFeed(0);
        } else if (self.tab.current == "CASE") {
            console.log("Case tab activated");
        }
    };

    self.listScrollLoadEvent = function () {
        if (self.findTime) {
            clearTimeout(self.findTime);
        }
        self.findTime = setTimeout(function () {
            if (self.tab.current == "TASK") {
                var requestObject = {};
                if (self.isUser) {
                    requestObject = {
                        objectType: "Task",
                        owner: contactObj.identity_id
                    };
                } else {
                    requestObject = {
                        objectType: "Task",
                        immediateParent: new ObjectId(contactObj.id.text)
                    };
                }
                if (TaskType['CURRENT'] == TaskType['UPCOMING']) {
                    if (TaskFunctions.drawListParams['view-contact-tasks-list'] != null && TaskFunctions.drawListParams['view-contact-tasks-list']) {
                        TaskFunctions.drawListParams['view-contact-tasks-list']['taskType'] = "Upcoming";
                    }
                } else if (TaskType['CURRENT'] == TaskType['COMPLETED']) {
                    if (TaskFunctions.drawListParams['view-contact-tasks-list'] != null && TaskFunctions.drawListParams['view-contact-tasks-list']) {
                        TaskFunctions.drawListParams['view-contact-tasks-list']['taskType'] = "Completed";
                    }
                } else if (TaskType['CURRENT'] == TaskType['MYUPCOMING']) {
                    var myTasksFilter = [{assignedTo: window.localStorage.getItem('userId')}, {
                            assignedTo: {$exists: false},
                            owner: window.localStorage.getItem('userId')
                        }, {assignedTo: {$type: 10}, owner: window.localStorage.getItem('userId')}];
                    requestObject.$or = myTasksFilter;
                }

                if (TaskFunctions.drawListParams['view-contact-tasks-list']['taskType'] != "Completed") {
                    requestObject['status'] = {$nin: ["Completed", "Canceled", "Verified"]};
                } else {
                    requestObject['status'] = {$in: ["Completed", "Canceled", "Verified"]};
                }


                var dueDateSort = 1;
                if ("Completed" == TaskFunctions.drawListParams['view-contact-tasks-list']['taskType']) {
                    dueDateSort = -1;
                }
                var sort = [["dueDate", dueDateSort], ["status", -1]];

                self.listScrollTaskLoad('view-contact-tasks-list', requestObject, sort);
            } else if (self.tab.current == "DEAL") {
//                var requestObject = {};
//                if (self.isUser) {
//                    requestObject = {
//                        objectType: "Deal",
//                        owner : contactObj.identity_id
//                    };
//                } else {
//                    requestObject = {objectType: "Deal",
//                        $or : [{immediateParent : new ObjectId(contactObj.id.text)},
//                            {rootObject: new ObjectId(contactObj.id.text)}]
//                    };
//                }
//
//                if (DealFunctions.drawListParams['view-contact-deals-list']['status'] != "search") {
//                    requestObject['status'] = DealFunctions.drawListParams['view-contact-deals-list']['status'];
//                } else {
//                    requestObject['searchKeywords'] = new RegExp("^" + DealFunctions.drawListParams['view-contact-deals-list']['searchValue'].replace(' ', '|'), "i");
//                }

                var sort = [["modificationDate", -1]];

                self.listScrollDealLoad('view-contact-deals-list', requestObject, sort);
            } else if (self.tab.current == "NOTE") {
                var requestObject = {};
                if (self.isUser) {
                    requestObject = {
                        objectType: "Note",
                        owner: contactObj.identity_id
                    };
                } else {
                    requestObject = {objectType: "Note", immediateParent: new ObjectId(contactObj.id.text)};
                }

                var sort = [["modificationDate", -1]];
                self.listScrollNoteLoad('view-contact-notes-list', requestObject, sort);
            } else if (self.tab.current == "FEED") {
                self.loadFeed();
            } else if (self.tab.current == "CASE") {
                self.listScrollCaseLoad('view-contact-cases-list');
            }
        }, 300);
    };

    self.listScrollTaskLoad = function (listViewId, query, sort) {
        showLoadingIndikator();
        if (connection) {
            ClientAPI.findPaged(query, sort,
                    TaskFunctions.drawListParams[listViewId]['start'] / TaskFunctions.drawListParams[listViewId]['offset'] + 1,
                    TaskFunctions.drawListParams[listViewId]['offset'],
                    function (err, items) {
                        var tasks = [];
                        for (var i = 0, max = items.length; i < max; i++) {
                            tasks.push(TaskController.encodeItem(items[i]));
                        }
                        TaskFunctions.drawTaskListView(listViewId, tasks, TaskFunctions.drawListParams[listViewId]['taskType'], true);
                        self.setConnectionMode();
                    });
        } else {
            if (TaskFunctions.drawListParams[listViewId]['taskType'] != "Completed") {
                if (TaskType['CURRENT'] == TaskType['MYUPCOMING']) {
                    var sqlQuery = "SELECT * FROM task WHERE status != ? AND status != ? AND status != ? AND [recording-id] = ? AND [responsible-id] = ? ORDER BY [due-at] LIMIT ?, ?";
                    var queryData = ["Completed", "Canceled", "Verified", getTextTypeObject(query['immediateParent'].val, 'integer'), getTextTypeObject(window.localStorage.getItem('userId'), 'integer'),
                        TaskFunctions.drawListParams[listViewId]['start'], TaskFunctions.drawListParams[listViewId]['offset']];
                    db.selectByQuery(sqlQuery, queryData, 'task', function (items) {
                        TaskFunctions.drawTaskListView(listViewId, items, "Upcoming", true);
                        self.setConnectionMode();
                    });
                } else {
                    var querySQL = {};
                    var queryDate = [];
                    if (self.isUser) {
                        querySQL = 'SELECT * FROM TASK WHERE "owner-id" =? AND (status =? OR status=?) ORDER BY [due-at] LIMIT ?, ?';
                        queryDate.push(getTextTypeObject(contactObj.identity_id, "integer"));
                    } else {
                        querySQL = 'SELECT * FROM TASK WHERE "recording-id" = ? AND (status =? OR status=?) ORDER BY [due-at] LIMIT ?, ?';
                        queryDate.push(getTextTypeObject(query['immediateParent'].val, "integer"));
                    }

                    queryDate.push('Upcoming');
                    queryDate.push('Assigned');
                    queryDate.push(TaskFunctions.drawListParams[listViewId]['start']);
                    queryDate.push(TaskFunctions.drawListParams[listViewId]['offset']);

                    db.selectByQuery(querySQL, queryDate, 'task', function (items) {
                        TaskFunctions.drawTaskListView(listViewId, items, TaskFunctions.drawListParams[listViewId]['taskType'], true);
                        self.setConnectionMode();
                    });
                }
            } else {
                hideLoadingIndikator();
                self.setConnectionMode();
            }
        }
    };

    self.listScrollDealLoad = function (listViewId, query, sort) {
        showLoadingIndikator();
        if (connection) {
            var id = null;
            if (self.isUser) {
                id = contactObj.identity_id;
            } else {
                id = contactObj.id.text;
            }

            DealController.findDealByStatus(listViewId, id, self.isUser, function (items) {
                if (items.length > 0) {
                    DealFunctions.drawDealList(listViewId, items, true, 1);
                }
                hideLoadingIndikator();
            });
        } else {
            var query = {};
            var queryDate = [];
            if (self.isUser) {
                query = "SELECT * FROM DEAL WHERE [owner-id] = ?";
                queryDate.push(getTextTypeObject(contactObj.identity_id, 'integer'));
            } else {
                query = "SELECT * FROM DEAL WHERE [party-id] = ?";
                queryDate.push(getTextTypeObject(contactObj.id.text, 'integer'));
            }


            if (DealFunctions.drawListParams[listViewId]['status'] == 'search') {
                var searchValues = DealFunctions.drawListParams[listViewId]['searchValue'].split(' ');
                for (var i = 0, max = searchValues.length; i < max; i++) {
                    if (i == 0) {
                        query += 'searchKeywords LIKE ? ';
                        queryDate.push("%" + searchValues[i] + "%");
                    } else {
                        query += 'OR searchKeywords LIKE ? ';
                        queryDate.push("%" + searchValues[i] + "%");
                    }
                }

                query += "ORDER BY [updated-at] DESC LIMIT ?, ?";
                queryDate.push(DealFunctions.drawListParams[listViewId]['start']);
                queryDate.push(DealFunctions.drawListParams[listViewId]['offset']);
            } else {
                query += ' AND status =? ORDER BY [updated-at] DESC LIMIT ?, ?';
                queryDate.push(DealFunctions.drawListParams[listViewId]['status']);
                queryDate.push(DealFunctions.drawListParams[listViewId]['start']);
                queryDate.push(DealFunctions.drawListParams[listViewId]['offset']);
            }

            db.selectByQuery(query, queryDate, 'deal', function (items) {
                DealFunctions.drawDealList(listViewId, items, true, 1);
            });
            hideLoadingIndikator();

        }
    };

    self.listScrollNoteLoad = function (listViewId, query, sort) {
        showLoadingIndikator();
        if (connection) {
            ClientAPI.findPaged(query, sort,
                    ViewNoteFunctions.drawListParams[listViewId]['start'] / ViewNoteFunctions.drawListParams[listViewId]['offset'] + 1,
                    ViewNoteFunctions.drawListParams[listViewId]['offset'],
                    function (err, items) {
                        var notes = [];
                        for (var i = 0, max = items.length; i < max; i++) {
                            notes.push(items[i]);
                        }
                        ViewNoteFunctions.drawNote(listViewId, notes, true);
                    });
        } else {
            ViewNoteFunctions.drawNote(listViewId, [], true);
        }
    };

    self.listScrollCaseLoad = function (listViewId) {
        showLoadingIndikator();
        caseStartPage += offset;
        var caseType = $("#view-contact #filter-case-type").val();
        var requestObject = {};
        if (caseType == "filter-open-cases") {
            if (connection) {
                if (self.isUser) {
                    requestObject = {
                        objectType: "Project",
                        owner: contactObj.identity_id,
                        $or: [{status: "Created"}, {status: "InProgress"}]
                    };
                } else {
                    requestObject = {
                        objectType: "Project",
                        $and: [
                            {$and: [{immediateParent: new ObjectId(contactObj.id.text)}]},
                            {$or: [{status: "Created"}, {status: "InProgress"}]}
                        ]
                    };
                }
                ClientAPI.findPaged(requestObject, [['modificationDate', -1]], caseStartPage / offset + 1, offset, function (err, data) {
                    if (!err) {
                        var result = [];
                        for (var i = 0, max = data.length; i < max; i++) {
                            result.push(CaseController.encodeItem(data[i]));
                        }
                        CaseFunctions.drawCaseListView(listViewId, result, true);
                        CaseFunctions.getCasesTaskCount(result);
                    }
                });

            } else {
                var query;
                var queryData = [];
                if (self.isUser) {
                    query = "SELECT * FROM kase WHERE [owner-id] = ? AND status != ? LIMIT ?,?";
                    queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Closed", caseStartPage, offset];
                } else {
                    query = "SELECT * FROM kase WHERE [party-id] = ? AND status != ? LIMIT ?,?";
                    queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Closed", caseStartPage, offset];
                }
                db.selectByQuery(query, queryData, "kase", function (data) {
                    CaseFunctions.drawCaseListView('view-contact-cases-list', data, true);
                });
            }
        } else if (caseType == "filter-closed-cases") {
            if (connection) {
                if (self.isUser) {
                    requestObject = {
                        objectType: "Project",
                        owner: contactObj.identity_id,
                        status: "Closed"
                    };
                } else {
                    requestObject = {
                        objectType: "Project",
                        $and: [{status: "Closed"}, {immediateParent: new ObjectId(contactObj.id.text)}]
                    };
                }
                ClientAPI.findPaged(requestObject, [['modificationDate', -1]], caseStartPage / offset + 1, offset, function (err, data) {
                    if (!err) {
                        var result = [];
                        for (var i = 0, max = data.length; i < max; i++) {
                            result.push(CaseController.encodeItem(data[i]));
                        }
                        CaseFunctions.drawCaseListView(listViewId, result, true);
                    }
                });

            } else {
                var query;
                var queryData = [];
                if (self.isUser) {
                    query = "SELECT * FROM kase WHERE [owner-id] = ? AND status = ? LIMIT ?,?";
                    queryData = [getTextTypeObject(contactObj.identity_id, 'integer'), "Closed", caseStartPage, offset];
                } else {
                    query = "SELECT * FROM kase WHERE [party-id] = ? AND status = ? LIMIT ?,?";
                    queryData = [getTextTypeObject(contactObj.id.text, 'integer'), "Closed", caseStartPage, offset];
                }
                db.selectByQuery(query, queryData, "kase", function (data) {
                    CaseFunctions.drawCaseListView('view-contact-cases-list', data, true);
                });
            }
        }
    };

    self.editEvent = function () {
        gotoPage({url: "editContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});

    };

    self.peopleItemEvent = function () {
        contactId = $(this).attr('contact-people-id');
        contactType = "People";
        contactObjects = [];
        $("#view-contact-people-list").find(".contact-people").each(function () {
            var contactObj = {};
            contactObj.id = $(this).attr("contact-people-id");
            contactObj.type = "People";
            contactObjects.push(contactObj);
        });
        isPeopleList = true;
        self.init();
        self.showGeneral();
    };

    self.noteItemEvent = function (evt) {
        gotoPage({url: "viewNote", param: {noteId: $(this).attr('note-id')}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects}});
    };

    self.viewContactAddToPhoneEvent = function () {
        $("#view-contact .advanced-menu").hide();
        $("#view-contact .popup-menu-backdrop").hide();
        setTimeout(function () {
            var contactObject = contactObj;
            if (window.localStorage.getItem("enableSave") == "true") {
                showActionDialog('Save contact to phone?', 'Yes', function () {
                    self.saveContactToPhone(contactObject);
                }, 'No', function () {
                });
            } else {
                self.saveContactToPhone(contactObject);
            }
        }, 100);
    };

    self.saveContactToPhone = function (contactObject) {
        var i, max;
        var contact = navigator.contacts.create();

        if (contactObject.name) {
            contact.displayName = contactObject.name;
        } else {
            var name = new ContactName();
            var displayName = contactObject['first-name'] + ' ' + contactObject['last-name'];
            contact.displayName = displayName;
            // contact.nickname = displayName;
            name.givenName = contactObject['first-name'];
            name.familyName = contactObject['last-name'];
            contact.name = name;
        }

        var phoneNumbers = [];
        if (contactObject['contact-data']['phone-numbers']['phone-number'] != null) {
            for (i = 0, max = contactObject['contact-data']['phone-numbers']['phone-number'].length; i < max; i++) {
                phoneNumbers[i] = new ContactField(contactObject['contact-data']['phone-numbers']['phone-number'][i].location.toLocaleLowerCase(),
                        contactObject['contact-data']['phone-numbers']['phone-number'][i].number, false);
            }
            if (phoneNumbers.length == 0) {
                if (contactObject['contact-data']['phone-numbers']['phone-number'].location != null) {
                    phoneNumbers[0] = new ContactField(contactObject['contact-data']['phone-numbers']['phone-number'].location.toLocaleLowerCase(),
                            contactObject['contact-data']['phone-numbers']['phone-number'].number, false);
                }
            }
        }
        contact.phoneNumbers = phoneNumbers;

        var emails = [];
        if (contactObject['contact-data']['email-addresses']['email-address'] != null) {
            for (i = 0, max = contactObject['contact-data']['email-addresses']['email-address'].length; i < max; i++) {
                emails[i] = new ContactField(contactObject['contact-data']['email-addresses']['email-address'][i].location.toLocaleLowerCase(),
                        contactObject['contact-data']['email-addresses']['email-address'][i].address, false);
            }
            if (emails.length == 0) {
                if (contactObject['contact-data']['email-addresses']['email-address'].location != null) {
                    emails[0] = new ContactField(contactObject['contact-data']['email-addresses']['email-address'].location.toLocaleLowerCase(),
                            contactObject['contact-data']['email-addresses']['email-address'].address, false);
                }
            }
        }

        contact['emails'] = emails;
        // save to device
        contact.save(function (contact) {
            hideLoadingIndikator();
            alert("Save Success!");
        }, function (contactError) {
            hideLoadingIndikator();
            if (contactError.code == ContactError.UNKNOWN_ERROR) {
                alert("Save Success!");
            } else {
                alert("Save was not successful.");
            }
        });
    };

    self.addAvatarOnContact = function () {
        if (navigator.userAgent.match(/(iPad|iPhone)/)) {
            navigator.camera.getPicture(function (mediaFiles) {
                getAF(function (err, af) {
                    var params = {};
                    params['_af'] = af;
                    objId = ViewContactFunctions.sharedContactForOpen.item.id.text;
                    params['objId'] = objId;
                    params['fieldName'] = "picture";

                    var splitovano = mediaFiles.split("/");
                    var name = splitovano[splitovano.length - 1].split(".")[0];
                    var options = new FileUploadOptions();
                    options.fileKey = "attachment";
                    options.fileName = name;
                    options.mimeType = "image/jpeg";
                    options.chunkedMode = false;
                    options.params = params;

                    var url = encodeURI(ClientAPI.rootURL + "/api/db/uploadimg");
                    var ft = new FileTransfer();
                    ft.upload(mediaFiles, url, function (r) {
                        if (r.responseCode == 200) {
                            alert("Picture is successfully uploaded!");
                            $('#avatar').attr('src', mediaFiles);
                            self.loadAvatar(objId, name);
                        } else {
                            alert("Error uploading file!");
                        }
                        console.log("Code = " + r.responseCode);
                        console.log("Response = " + JSON.stringify(r.response));
                        console.log("Sent = " + r.bytesSent);
                    }, function (error) {
                        alert("Error uploading picture!");
                        console.log("An error has occurred: Code = " + error.code);
                        console.log("upload error source " + error.source);
                        console.log("upload error target " + error.target);
                    }, options, true);
                });
            }, function (e) {
                alert(e);
            }, {quality: 75, allowEdit: true, destinationType: Camera.DestinationType.FILE_URI, sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM});
        } else {
            showActionDialog(Messages.Note.choseCameraForAttachment, "Browse", function () {
                gotoPage({url: "fileSystem", param: {parentId: contactObj.id.text, parentType: "Contact"}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects}});
            }, "Camera", function () {
                self.captureAndroidImage();
            });
        }
    };

    self.browseProfileImage = function () {
        if (navigator.userAgent.match(/(iPad|iPhone)/)) {
            navigator.camera.getPicture(function (mediaFiles) {
                getAF(function (err, af) {
                    var params = {};
                    params['_af'] = af;
                    params['objId'] = contactObj.id.text;
                    params['fieldName'] = "picture";

                    var splitovano = mediaFiles.split("/");
                    var name = splitovano[splitovano.length - 1].split(".")[0];
                    var options = new FileUploadOptions();
                    options.fileKey = "attachment";
                    options.fileName = name;
                    options.mimeType = "image/jpeg";
                    options.chunkedMode = false;
                    options.params = params;

                    var url = encodeURI(ClientAPI.rootURL + "/api/db/uploadimg");
                    var ft = new FileTransfer();
                    ft.upload(mediaFiles, url, function (r) {
                        if (r.responseCode == 200) {
                            $("#contact-avatar-popup").popup("close");
                            alert("Picture is successfully uploaded!");
                            $('#avatar').attr('src', mediaFiles);
                            self.loadAvatar(contactObj.id.text, name);
                        } else {
                            alert("Error uploading file!");
                        }
                        console.log("Code = " + r.responseCode);
                        console.log("Response = " + JSON.stringify(r.response));
                        console.log("Sent = " + r.bytesSent);
                    }, function (error) {
                        alert("Error uploading picture!");
                        console.log("An error has occurred: Code = " + error.code);
                        console.log("upload error source " + error.source);
                        console.log("upload error target " + error.target);
                    }, options, true);
                });
            }, function (e) {
                alert(e);
            }, {quality: 75, allowEdit: true, destinationType: Camera.DestinationType.FILE_URI, sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM});
        } else {
            gotoPage({url: "fileSystem", param: {parentId: contactObj.id.text, parentType: "Contact", fileExtension: ["jpg", "png", "jpeg", "gif"]}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects}});
        }
    };

    self.captureAndroidImage = function () {
        var pictureQuality = window.localStorage.getItem("pictureQuality");
        if (!pictureQuality) {
            window.localStorage.setItem("pictureQuality", "75");
            pictureQuality = "75";
        }
        navigator.camera.getPicture(function (mediaFiles) {
            getAF(function (err, af) {
                var params = new Object();
                params['_af'] = af;
                params['objId'] = contactObj.id.text;
                params['fieldName'] = "picture";

                var splitovano = mediaFiles.split("/");
                var name = splitovano[splitovano.length - 1].split(".")[0];
                var options = new FileUploadOptions();
                options.fileKey = "attachment";
                options.fileName = name;
                options.mimeType = "image/jpeg";
                options.chunkedMode = false;
                options.params = params;

                var url = encodeURI(ClientAPI.rootURL + "/api/db/uploadimg");
                var ft = new FileTransfer();
                ft.upload(mediaFiles, url, function (r) {
                    if (r.responseCode == 200) {
                        alert("Picture is successfully uploaded!");
                        self.init();
                        self.loadAvatar(contactObj.id.text, name);
                    } else {
                        alert("Error uploading file!");
                    }
                    console.log("Code = " + r.responseCode);
                    console.log("Response = " + JSON.stringify(r.response));
                    console.log("Sent = " + r.bytesSent);
                }, function (error) {
                    alert("Error uploading picture!");
                    console.log("An error has occurred: Code = " + error.code);
                    console.log("upload error source " + error.source);
                    console.log("upload error target " + error.target);
                }, options, true);
            });
        }, function (e) {
            alert(e);
        }, {quality: pictureQuality, cameraDirection: Camera.Direction.BACK});
    };

    self.openCompany = function () {
        contactId = $(this).attr('companyid');
        contactType = "company";
        contactObjects = [];
        self.init();
        self.showGeneral();
    };

    self.showNoteComments = function () {
        var noteId = $(this).attr("noteId");
        ViewNoteFunctions.drawCommentList(noteId, function () {
            $("#" + noteId).toggle();
        });
    };

    self.navigateToChildTask = function () {
        var id = $(this).attr('taskId');
        var taskIds = [];
        var $parent = $(this).parent().parent();
        $parent.find('.child-task-item').each(function () {
            taskIds.push($(this).attr('taskId'));
        });
        var currentPage = $parent.attr('data-pageCount');
        currentPage = parseInt(currentPage);
        if (currentPage > 1) {
            gotoPage({url: "viewTask", param: {id: id, ids: taskIds, listParams: {parentId: $parent.attr('id'), childPage: currentPage + 1, offset: 30}}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
        } else {
            gotoPage({url: "viewTask", param: {id: id, ids: taskIds, listParams: {parentId: $parent.attr('id'), start: 30, offset: 30}}}, {url: "viewContact", param: {contactId: contactObj.id.text, contactType: contactObj.objectType, contactObjects: contactObjects, listPageCount: listStart}});
        }

    };

    self.loadChildTaskEvent = function () {
        var taskId = $(this).parent().attr('id');
        var pageCount = $(this).parent().attr('data-pageCount');
        $(this).parent().attr('data-pageCount', ++pageCount);
        var $that = $(this);
        if (connection) {
            TaskFunctions.loadMoreChildTasks(taskId, pageCount, $that);
        }
    };

    return self;
}(ViewContactFunctions || {}));
