$(document).on('pageinit', '#map', function () {
   
});

$(document).on('pageshow', '#map', function () {
    MapFunctions.bindElementControls();
     MapFunctions.init();
});

$(document).on('pagehide', '#map', function () {
    MapFunctions.unbindElementControls();
});

var MapFunctions = (function(MapFunctions){
    var self = MapFunctions;
    
    self.init = function () {
        var map = new GoogleMap();
        map.initialize();
    };
    
    self.bindElementControls = function(){
        $(document).on('click', '#map #back-link', self.backEvent);
    };
    
    self.unbindElementControls = function(){
        $(document).off('click', '#map #back-link');
    };
    
    self.backEvent = function(){
        goBack();
    };
    
    return self;
    
}(MapFunctions || {}));